Modify

Opened 2 years ago

Closed 2 years ago

#7847 closed defect (fixed)

Josm can't process deleted nodes from API after its recent change

Reported by: AMDmi3 Owned by: team
Priority: major Milestone:
Component: Core Version: tested
Keywords: Cc: bastiK, stoecker

Description (last modified by AMDmi3)

Recently, API was changed so deleted nodes no longer have lat/lon attributes:

http://git.openstreetmap.org/rails.git/commitdiff/2c67c07

Example of such node:

http://api.openstreetmap.org/api/0.6/nodes?nodes=923871376

Josm doesn't handle such nodes.
If a changeset containing such node is updated, josm will not accept data it gets from API with Null Pointer Exception.

OSM file which demonstrates this problem is attached.

Daeron from #osm-dev has a patch, but it's unknown to not break something else:
http://elanor.mine.nu/daeron/deleted-node-no-coordinates.patch

Attachments (8)

josm-deleted-node-test.osm (40.0 KB) - added by AMDmi3 2 years ago.
7847v2.patch (2.3 KB) - added by simon04 2 years ago.
josm-7847-star.png (228.3 KB) - added by anonymous 2 years ago.
wien_before.osm (5.1 KB) - added by Don-vip 2 years ago.
wien_after.osm (4.7 KB) - added by Don-vip 2 years ago.
wien_before_merged_on_after.osm (4.7 KB) - added by Don-vip 2 years ago.
wien_after_merged_on_before.osm (6.3 KB) - added by Don-vip 2 years ago.
test.osm (460 bytes) - added by stefanct 2 years ago.
Triggers the "star" drawing artifact

Download all attachments as: .zip

Change History (57)

Changed 2 years ago by AMDmi3

comment:1 Changed 2 years ago by AMDmi3

  • Description modified (diff)

comment:2 Changed 2 years ago by simon04

  • Cc bastiK stoecker added

comment:3 Changed 2 years ago by simon04

Using the linked patch, upon exiting JOSM (easy to fix though …)

     [java] Autosave failed: 
     [java] java.lang.NullPointerException <!-- this one raised an error dialog "An unexpected exception occurred"
     [java] 	at org.openstreetmap.josm.io.OsmWriter.visit(OsmWriter.java:138)
     [java] 	at org.openstreetmap.josm.io.OsmWriter.writeContent(OsmWriter.java:104)
     [java] 	at org.openstreetmap.josm.io.OsmWriter.writeLayer(OsmWriter.java:97)
     [java] 	at org.openstreetmap.josm.io.OsmExporter.save(OsmExporter.java:76)
     [java] 	at org.openstreetmap.josm.io.OsmExporter.exportData(OsmExporter.java:48)
     [java] 	at org.openstreetmap.josm.data.AutosaveTask.savelayer(AutosaveTask.java:169)
     [java] 	at org.openstreetmap.josm.data.AutosaveTask.run(AutosaveTask.java:185)
     [java] 	at java.util.TimerThread.mainLoop(Timer.java:555)
     [java] 	at java.util.TimerThread.run(Timer.java:505)
     [java] java.lang.NullPointerException
     [java] 	at org.openstreetmap.josm.io.OsmWriter.visit(OsmWriter.java:138)
     [java] 	at org.openstreetmap.josm.io.OsmWriter.writeContent(OsmWriter.java:104)
     [java] 	at org.openstreetmap.josm.io.OsmWriter.writeLayer(OsmWriter.java:97)
     [java] 	at org.openstreetmap.josm.io.OsmExporter.save(OsmExporter.java:76)
     [java] 	at org.openstreetmap.josm.io.OsmExporter.exportData(OsmExporter.java:48)
     [java] 	at org.openstreetmap.josm.data.AutosaveTask.savelayer(AutosaveTask.java:169)
     [java] 	at org.openstreetmap.josm.data.AutosaveTask.layerRemoved(AutosaveTask.java:229)
     [java] 	at org.openstreetmap.josm.gui.MapView.fireLayerRemoved(MapView.java:153)
     [java] 	at org.openstreetmap.josm.gui.MapView.removeLayer(MapView.java:366)
     [java] 	at org.openstreetmap.josm.Main.exitJosm(Main.java:620)
     [java] 	at org.openstreetmap.josm.actions.ExitAction.actionPerformed(ExitAction.java:29)
     [java] 	at javax.swing.SwingUtilities.notifyAction(SwingUtilities.java:1658)
     [java] 	at javax.swing.JComponent.processKeyBinding(JComponent.java:2870)
     [java] 	at javax.swing.KeyboardManager.fireBinding(KeyboardManager.java:306)
     [java] 	at javax.swing.KeyboardManager.fireKeyboardAction(KeyboardManager.java:263)
     [java] 	at javax.swing.JComponent.processKeyBindingsForAllComponents(JComponent.java:2962)
     [java] 	at javax.swing.JComponent.processKeyBindings(JComponent.java:2954)
     [java] 	at javax.swing.JComponent.processKeyEvent(JComponent.java:2833)
     [java] 	at java.awt.Component.processEvent(Component.java:6282)
     [java] 	at java.awt.Container.processEvent(Container.java:2229)
     [java] 	at java.awt.Component.dispatchEventImpl(Component.java:4861)
     [java] 	at java.awt.Container.dispatchEventImpl(Container.java:2287)
     [java] 	at java.awt.Component.dispatchEvent(Component.java:4687)
     [java] 	at java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.java:1893)
     [java] 	at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(DefaultKeyboardFocusManager.java:752)
     [java] 	at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(DefaultKeyboardFocusManager.java:1017)
     [java] 	at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(DefaultKeyboardFocusManager.java:889)
     [java] 	at java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:717)
     [java] 	at java.awt.Component.dispatchEventImpl(Component.java:4731)
     [java] 	at java.awt.Container.dispatchEventImpl(Container.java:2287)
     [java] 	at java.awt.Window.dispatchEventImpl(Window.java:2719)
     [java] 	at java.awt.Component.dispatchEvent(Component.java:4687)
     [java] 	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:703)
     [java] 	at java.awt.EventQueue.access$000(EventQueue.java:102)
     [java] 	at java.awt.EventQueue$3.run(EventQueue.java:662)
     [java] 	at java.awt.EventQueue$3.run(EventQueue.java:660)
     [java] 	at java.security.AccessController.doPrivileged(Native Method)
     [java] 	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
     [java] 	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:87)
     [java] 	at java.awt.EventQueue$4.run(EventQueue.java:676)
     [java] 	at java.awt.EventQueue$4.run(EventQueue.java:674)
     [java] 	at java.security.AccessController.doPrivileged(Native Method)
     [java] 	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
     [java] 	at java.awt.EventQueue.dispatchEvent(EventQueue.java:673)
     [java] 	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:244)
     [java] 	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:163)
     [java] 	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:151)
     [java] 	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:147)
     [java] 	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:139)
     [java] 	at java.awt.EventDispatchThread.run(EventDispatchThread.java:97)

Changed 2 years ago by simon04

comment:4 Changed 2 years ago by framm

  • Resolution set to fixed
  • Status changed from new to closed

In 5326/josm:

handle deleted nodes without lat/lon. apply patches from ticket; closes #7847

comment:5 in reply to: ↑ description Changed 2 years ago by bastiK

Replying to AMDmi3:

Josm doesn't handle such nodes.
If a changeset containing such node is updated, josm will not accept data it gets from API with Null Pointer Exception.

What exactly are the situations, in which this error occurs? Normal download and upload is not affected. Downloading a deleted node (File > Download object...) fails, anything else?

comment:6 follow-up: Changed 2 years ago by simon04

Also Update {data,modified,…} is affected.

Last edited 2 years ago by simon04 (previous) (diff)

comment:7 in reply to: ↑ 6 ; follow-up: Changed 2 years ago by bastiK

Replying to simon04:

Also Update {data,modified,…} is affected.

Update data is the same as download+merge, so it should be fine.

Update modified causes an error, when another user has deleted a modified object in the meantime (conflict) or after undeleting a node.

As far as I can see right now, this is no big deal.

comment:8 Changed 2 years ago by bastiK

In 5328/josm:

fix NPE as deleted nodes can have null coordinates now (see #7847)

comment:9 in reply to: ↑ 7 ; follow-up: Changed 2 years ago by AMDmi3

Replying to bastiK:

Replying to simon04:

Also Update {data,modified,…} is affected.

Update data is the same as download+merge, so it should be fine.

It isn't. My guess that it may be a plain download if there's a bbox, but in my case there wasn't, so josm downloads explicit way/node packs, thus it will request node if it is present in the old dataset regardless. Opening attached example and running Update data demonstrates this.

As far as I can see right now, this is no big deal.

It is. It breaks Update data in case of no bbox, and Update modifed/Update selection completely.

comment:10 follow-up: Changed 2 years ago by anonymous

It affects the nodes being dcurrently deleted (in fact redacted) by the ongoin Licence Migration checker bot.
It also affects ways that may now appear without any node in them (this causes also various bugs since long), or just one (the data validator itself may fail with NPE too during some checks, I can't remember which one exactly).

comment:11 in reply to: ↑ 9 ; follow-up: Changed 2 years ago by bastiK

Replying to AMDmi3:

Replying to bastiK:

Replying to simon04:

Also Update {data,modified,…} is affected.

Update data is the same as download+merge, so it should be fine.

It isn't. My guess that it may be a plain download if there's a bbox, but in my case there wasn't, so josm downloads explicit way/node packs, thus it will request node if it is present in the old dataset regardless. Opening attached example and running Update data demonstrates this.

You are correct, but I'm talking about 99% of the users here. If you don't have a bbox for your data, you are doing something nifty. In fact, updating a large amount of data without a bbox (or using Update selection on a large number of objects) is a bad idea as it causes a lot of traffic and server load.

As far as I can see right now, this is no big deal.

It is. It breaks Update data in case of no bbox, and Update modifed/Update selection completely.

By "breaking something completely" I understand having the error almost every time for almost every user. This is not the case: the basic precondition is, that the modified/selected nodes have been deleted by another user after the initial download. Unfortunately, the redaction bot is running at the moment, so conflicts might be more frequent for the next weeks.

comment:12 in reply to: ↑ 10 Changed 2 years ago by bastiK

Replying to anonymous:

It affects the nodes being dcurrently deleted (in fact redacted) by the ongoin Licence Migration checker bot.

Good point.

It also affects ways that may now appear without any node in them (this causes also various bugs since long), or just one (the data validator itself may fail with NPE too during some checks, I can't remember which one exactly).

Can you be more specific? This problem is not fixed by [5326], so a reproducible test case would be great (in a separate ticket please).

comment:13 in reply to: ↑ 11 ; follow-up: Changed 2 years ago by AMDmi3

but I'm talking about 99% of the users here
This is not the case: the basic precondition is

I hope you're not implying that a bug may be left unfixed if related functionality is not used by absolutely anyone, or if it doesn't happen all the time.

Anyway it seems to be fixed after 5328, thanks.

In case you're interested in my usecase - it's viewing and editing data filtered from daily dumps of Russia or its regions. Bboxes for these will be to large to work, while the data volume is really small (hundreds of ways).

It affects the nodes being dcurrently deleted (in fact redacted) by the ongoin Licence Migration checker bot

It affects all deleted nodes actually. And when it happens you're quite busted - you cannot upload your changes as they were updated on the server, and you cannot download updated data to resolve conflicts because of the bug.

comment:15 in reply to: ↑ 13 ; follow-up: Changed 2 years ago by bastiK

Replying to AMDmi3:

but I'm talking about 99% of the users here
This is not the case: the basic precondition is

I hope you're not implying that a bug may be left unfixed if related functionality is not used by absolutely anyone, or if it doesn't happen all the time.

No, I was just relieved, that this problem is not as big as it looked at first glance.

It affects the nodes being dcurrently deleted (in fact redacted) by the ongoin Licence Migration checker bot

It affects all deleted nodes actually. And when it happens you're quite busted - you cannot upload your changes as they were updated on the server, and you cannot download updated data to resolve conflicts because of the bug.

To be clear, it doesn't occurs when you delete a node, but when another user deletes a node that you are currently editing or trying to retrieve from the server for another reason.

comment:16 in reply to: ↑ 15 Changed 2 years ago by anonymous

Replying to bastiK:

To be clear, it doesn't occurs when you delete a node, but when another user deletes a node that you are currently editing or trying to retrieve from the server for another reason.

Sure, that is what I actually meant.

comment:17 Changed 2 years ago by Don-vip

In 5332/josm:

see #7505, see #7847 - Handle deleted nodes without coordinates in dataset consistency test due to recent API change

comment:18 Changed 2 years ago by Don-vip

In 5333/josm:

see #7505, see #7847 - Nodes without coordinates in dataset consistency test: use of isVisible() rather than !isDeleted() to raise the issue if null coordinates are found with a node not yet deleted on server

comment:19 Changed 2 years ago by Don-vip

Found another potential NPE when exporting to JSON:

java.lang.NullPointerException
	at org.openstreetmap.josm.io.GeoJSONWriter.appendCoord(GeoJSONWriter.java:106)
	at org.openstreetmap.josm.io.GeoJSONWriter.visit(GeoJSONWriter.java:43)
	at org.openstreetmap.josm.data.osm.Node.visit(Node.java:185)
	at org.openstreetmap.josm.io.GeoJSONWriter.appendPrimitive(GeoJSONWriter.java:99)
	at org.openstreetmap.josm.io.GeoJSONWriter.write(GeoJSONWriter.java:31)
	at org.openstreetmap.josm.io.GeoJSONExporter.exportData(GeoJSONExporter.java:21)
	at org.openstreetmap.josm.actions.SaveActionBase.doInternalSave(SaveActionBase.java:76)
	at org.openstreetmap.josm.actions.SaveActionBase.doSave(SaveActionBase.java:59)
	at org.openstreetmap.josm.actions.SaveActionBase.doSave(SaveActionBase.java:52)
	at org.openstreetmap.josm.actions.SaveActionBase.actionPerformed(SaveActionBase.java:38)

comment:20 Changed 2 years ago by Don-vip

In 5334/josm:

see #7505, see #7847 - Handle deleted nodes without coordinates in GeoJSON export (fix NPE)

comment:21 Changed 2 years ago by Don-vip

In 5346/josm:

fix #7867, see #7505, see #7847 - Handle deleted nodes without coordinates in history

comment:22 Changed 2 years ago by Don-vip

Ticket #7868 has been marked as a duplicate of this ticket.

comment:23 Changed 2 years ago by Don-vip

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:24 follow-up: Changed 2 years ago by Don-vip

From http://josm.openstreetmap.de/ticket/3892#comment:23 Stefan said:

Before the error occurred i had merged a "cloudmade" layer with my local (downloaded by josm via the API) .osm. I noticed some strange graphical artifacts afterwards like some ways seem to be originated in the top left corner of the viewport creating a star-like effect. I updated the merged data set nevertheless and that's when the following exception occurred

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-07-16 01:31:09
Last Changed Author: Don-vip
Revision: 5345
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-07-15 16:34:27 +0200 (Sun, 15 Jul 2012)
Last Changed Rev: 5345

Identification: JOSM/1.5 (5345 en)
Memory Usage: 789 MB / 1281 MB (293 MB allocated, but free)
Java version: 1.6.0_24, Sun Microsystems Inc., OpenJDK 64-Bit Server VM
Operating system: Linux

Dataset consistency test:
[DELETED REFERENCED] {Way id=37700192 version=2 D nodes=[{Node id=442071204 version=2 D lat=48.2531363,lon=16.3597198}, {Node id=442071205 version=2 D lat=48.2530306,lon=16.3598185}, {Node id=442071206 version=2 D lat=48.2529621,lon=16.3598957}, {Node id=442071207 version=2 D lat=48.2530164,lon=16.3600073}, {Node id=442071208 version=2 D lat=48.2531335,lon=16.3600545}, {Node id=442071209 version=2 D lat=48.2532192,lon=16.360106}, {Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442071211 version=2 D lat=48.2532535,lon=16.3605178}, {Node id=442071212 version=2 D lat=48.2532563,lon=16.3606122}, {Node id=442071216 version=2 D lat=48.2534601,lon=16.3606228}, {Node id=442071217 version=2 D lat=48.25376,lon=16.3606914}, {Node id=442071219 version=2 D lat=48.2538657,lon=16.3606914}, {Node id=442071220 version=2 D lat=48.2538743,lon=16.3603782}, {Node id=442071222 version=2 D lat=48.2540114,lon=16.3603825}, {Node id=442071223 version=3 V lat=48.2541525,lon=16.3602696}]} refers to deleted primitive {Node id=442071204 version=2 D lat=48.2531363,lon=16.3597198}
[DELETED REFERENCED] {Way id=37700192 version=2 D nodes=[{Node id=442071204 version=2 D lat=48.2531363,lon=16.3597198}, {Node id=442071205 version=2 D lat=48.2530306,lon=16.3598185}, {Node id=442071206 version=2 D lat=48.2529621,lon=16.3598957}, {Node id=442071207 version=2 D lat=48.2530164,lon=16.3600073}, {Node id=442071208 version=2 D lat=48.2531335,lon=16.3600545}, {Node id=442071209 version=2 D lat=48.2532192,lon=16.360106}, {Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442071211 version=2 D lat=48.2532535,lon=16.3605178}, {Node id=442071212 version=2 D lat=48.2532563,lon=16.3606122}, {Node id=442071216 version=2 D lat=48.2534601,lon=16.3606228}, {Node id=442071217 version=2 D lat=48.25376,lon=16.3606914}, {Node id=442071219 version=2 D lat=48.2538657,lon=16.3606914}, {Node id=442071220 version=2 D lat=48.2538743,lon=16.3603782}, {Node id=442071222 version=2 D lat=48.2540114,lon=16.3603825}, {Node id=442071223 version=3 V lat=48.2541525,lon=16.3602696}]} refers to deleted primitive {Node id=442071205 version=2 D lat=48.2530306,lon=16.3598185}
[DELETED REFERENCED] {Way id=37700192 version=2 D nodes=[{Node id=442071204 version=2 D lat=48.2531363,lon=16.3597198}, {Node id=442071205 version=2 D lat=48.2530306,lon=16.3598185}, {Node id=442071206 version=2 D lat=48.2529621,lon=16.3598957}, {Node id=442071207 version=2 D lat=48.2530164,lon=16.3600073}, {Node id=442071208 version=2 D lat=48.2531335,lon=16.3600545}, {Node id=442071209 version=2 D lat=48.2532192,lon=16.360106}, {Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442071211 version=2 D lat=48.2532535,lon=16.3605178}, {Node id=442071212 version=2 D lat=48.2532563,lon=16.3606122}, {Node id=442071216 version=2 D lat=48.2534601,lon=16.3606228}, {Node id=442071217 version=2 D lat=48.25376,lon=16.3606914}, {Node id=442071219 version=2 D lat=48.2538657,lon=16.3606914}, {Node id=442071220 version=2 D lat=48.2538743,lon=16.3603782}, {Node id=442071222 version=2 D lat=48.2540114,lon=16.3603825}, {Node id=442071223 version=3 V lat=48.2541525,lon=16.3602696}]} refers to deleted primitive {Node id=442071206 version=2 D lat=48.2529621,lon=16.3598957}
[DELETED REFERENCED] {Way id=37700192 version=2 D nodes=[{Node id=442071204 version=2 D lat=48.2531363,lon=16.3597198}, {Node id=442071205 version=2 D lat=48.2530306,lon=16.3598185}, {Node id=442071206 version=2 D lat=48.2529621,lon=16.3598957}, {Node id=442071207 version=2 D lat=48.2530164,lon=16.3600073}, {Node id=442071208 version=2 D lat=48.2531335,lon=16.3600545}, {Node id=442071209 version=2 D lat=48.2532192,lon=16.360106}, {Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442071211 version=2 D lat=48.2532535,lon=16.3605178}, {Node id=442071212 version=2 D lat=48.2532563,lon=16.3606122}, {Node id=442071216 version=2 D lat=48.2534601,lon=16.3606228}, {Node id=442071217 version=2 D lat=48.25376,lon=16.3606914}, {Node id=442071219 version=2 D lat=48.2538657,lon=16.3606914}, {Node id=442071220 version=2 D lat=48.2538743,lon=16.3603782}, {Node id=442071222 version=2 D lat=48.2540114,lon=16.3603825}, {Node id=442071223 version=3 V lat=48.2541525,lon=16.3602696}]} refers to deleted primitive {Node id=442071207 version=2 D lat=48.2530164,lon=16.3600073}
[DELETED REFERENCED] {Way id=37700192 version=2 D nodes=[{Node id=442071204 version=2 D lat=48.2531363,lon=16.3597198}, {Node id=442071205 version=2 D lat=48.2530306,lon=16.3598185}, {Node id=442071206 version=2 D lat=48.2529621,lon=16.3598957}, {Node id=442071207 version=2 D lat=48.2530164,lon=16.3600073}, {Node id=442071208 version=2 D lat=48.2531335,lon=16.3600545}, {Node id=442071209 version=2 D lat=48.2532192,lon=16.360106}, {Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442071211 version=2 D lat=48.2532535,lon=16.3605178}, {Node id=442071212 version=2 D lat=48.2532563,lon=16.3606122}, {Node id=442071216 version=2 D lat=48.2534601,lon=16.3606228}, {Node id=442071217 version=2 D lat=48.25376,lon=16.3606914}, {Node id=442071219 version=2 D lat=48.2538657,lon=16.3606914}, {Node id=442071220 version=2 D lat=48.2538743,lon=16.3603782}, {Node id=442071222 version=2 D lat=48.2540114,lon=16.3603825}, {Node id=442071223 version=3 V lat=48.2541525,lon=16.3602696}]} refers to deleted primitive {Node id=442071208 version=2 D lat=48.2531335,lon=16.3600545}
[DELETED REFERENCED] {Way id=37700192 version=2 D nodes=[{Node id=442071204 version=2 D lat=48.2531363,lon=16.3597198}, {Node id=442071205 version=2 D lat=48.2530306,lon=16.3598185}, {Node id=442071206 version=2 D lat=48.2529621,lon=16.3598957}, {Node id=442071207 version=2 D lat=48.2530164,lon=16.3600073}, {Node id=442071208 version=2 D lat=48.2531335,lon=16.3600545}, {Node id=442071209 version=2 D lat=48.2532192,lon=16.360106}, {Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442071211 version=2 D lat=48.2532535,lon=16.3605178}, {Node id=442071212 version=2 D lat=48.2532563,lon=16.3606122}, {Node id=442071216 version=2 D lat=48.2534601,lon=16.3606228}, {Node id=442071217 version=2 D lat=48.25376,lon=16.3606914}, {Node id=442071219 version=2 D lat=48.2538657,lon=16.3606914}, {Node id=442071220 version=2 D lat=48.2538743,lon=16.3603782}, {Node id=442071222 version=2 D lat=48.2540114,lon=16.3603825}, {Node id=442071223 version=3 V lat=48.2541525,lon=16.3602696}]} refers to deleted primitive {Node id=442071209 version=2 D lat=48.2532192,lon=16.360106}
[DELETED REFERENCED] {Way id=37700192 version=2 D nodes=[{Node id=442071204 version=2 D lat=48.2531363,lon=16.3597198}, {Node id=442071205 version=2 D lat=48.2530306,lon=16.3598185}, {Node id=442071206 version=2 D lat=48.2529621,lon=16.3598957}, {Node id=442071207 version=2 D lat=48.2530164,lon=16.3600073}, {Node id=442071208 version=2 D lat=48.2531335,lon=16.3600545}, {Node id=442071209 version=2 D lat=48.2532192,lon=16.360106}, {Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442071211 version=2 D lat=48.2532535,lon=16.3605178}, {Node id=442071212 version=2 D lat=48.2532563,lon=16.3606122}, {Node id=442071216 version=2 D lat=48.2534601,lon=16.3606228}, {Node id=442071217 version=2 D lat=48.25376,lon=16.3606914}, {Node id=442071219 version=2 D lat=48.2538657,lon=16.3606914}, {Node id=442071220 version=2 D lat=48.2538743,lon=16.3603782}, {Node id=442071222 version=2 D lat=48.2540114,lon=16.3603825}, {Node id=442071223 version=3 V lat=48.2541525,lon=16.3602696}]} refers to deleted primitive {Node id=442071210 version=2 D lat=48.253222,lon=16.360239}
[DELETED REFERENCED] {Way id=37700192 version=2 D nodes=[{Node id=442071204 version=2 D lat=48.2531363,lon=16.3597198}, {Node id=442071205 version=2 D lat=48.2530306,lon=16.3598185}, {Node id=442071206 version=2 D lat=48.2529621,lon=16.3598957}, {Node id=442071207 version=2 D lat=48.2530164,lon=16.3600073}, {Node id=442071208 version=2 D lat=48.2531335,lon=16.3600545}, {Node id=442071209 version=2 D lat=48.2532192,lon=16.360106}, {Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442071211 version=2 D lat=48.2532535,lon=16.3605178}, {Node id=442071212 version=2 D lat=48.2532563,lon=16.3606122}, {Node id=442071216 version=2 D lat=48.2534601,lon=16.3606228}, {Node id=442071217 version=2 D lat=48.25376,lon=16.3606914}, {Node id=442071219 version=2 D lat=48.2538657,lon=16.3606914}, {Node id=442071220 version=2 D lat=48.2538743,lon=16.3603782}, {Node id=442071222 version=2 D lat=48.2540114,lon=16.3603825}, {Node id=442071223 version=3 V lat=48.2541525,lon=16.3602696}]} refers to deleted primitive {Node id=442071211 version=2 D lat=48.2532535,lon=16.3605178}
[DELETED REFERENCED] {Way id=37700192 version=2 D nodes=[{Node id=442071204 version=2 D lat=48.2531363,lon=16.3597198}, {Node id=442071205 version=2 D lat=48.2530306,lon=16.3598185}, {Node id=442071206 version=2 D lat=48.2529621,lon=16.3598957}, {Node id=442071207 version=2 D lat=48.2530164,lon=16.3600073}, {Node id=442071208 version=2 D lat=48.2531335,lon=16.3600545}, {Node id=442071209 version=2 D lat=48.2532192,lon=16.360106}, {Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442071211 version=2 D lat=48.2532535,lon=16.3605178}, {Node id=442071212 version=2 D lat=48.2532563,lon=16.3606122}, {Node id=442071216 version=2 D lat=48.2534601,lon=16.3606228}, {Node id=442071217 version=2 D lat=48.25376,lon=16.3606914}, {Node id=442071219 version=2 D lat=48.2538657,lon=16.3606914}, {Node id=442071220 version=2 D lat=48.2538743,lon=16.3603782}, {Node id=442071222 version=2 D lat=48.2540114,lon=16.3603825}, {Node id=442071223 version=3 V lat=48.2541525,lon=16.3602696}]} refers to deleted primitive {Node id=442071212 version=2 D lat=48.2532563,lon=16.3606122}
[DELETED REFERENCED] {Way id=37700192 version=2 D nodes=[{Node id=442071204 version=2 D lat=48.2531363,lon=16.3597198}, {Node id=442071205 version=2 D lat=48.2530306,lon=16.3598185}, {Node id=442071206 version=2 D lat=48.2529621,lon=16.3598957}, {Node id=442071207 version=2 D lat=48.2530164,lon=16.3600073}, {Node id=442071208 version=2 D lat=48.2531335,lon=16.3600545}, {Node id=442071209 version=2 D lat=48.2532192,lon=16.360106}, {Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442071211 version=2 D lat=48.2532535,lon=16.3605178}, {Node id=442071212 version=2 D lat=48.2532563,lon=16.3606122}, {Node id=442071216 version=2 D lat=48.2534601,lon=16.3606228}, {Node id=442071217 version=2 D lat=48.25376,lon=16.3606914}, {Node id=442071219 version=2 D lat=48.2538657,lon=16.3606914}, {Node id=442071220 version=2 D lat=48.2538743,lon=16.3603782}, {Node id=442071222 version=2 D lat=48.2540114,lon=16.3603825}, {Node id=442071223 version=3 V lat=48.2541525,lon=16.3602696}]} refers to deleted primitive {Node id=442071216 version=2 D lat=48.2534601,lon=16.3606228}
[DELETED REFERENCED] {Way id=37700192 version=2 D nodes=[{Node id=442071204 version=2 D lat=48.2531363,lon=16.3597198}, {Node id=442071205 version=2 D lat=48.2530306,lon=16.3598185}, {Node id=442071206 version=2 D lat=48.2529621,lon=16.3598957}, {Node id=442071207 version=2 D lat=48.2530164,lon=16.3600073}, {Node id=442071208 version=2 D lat=48.2531335,lon=16.3600545}, {Node id=442071209 version=2 D lat=48.2532192,lon=16.360106}, {Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442071211 version=2 D lat=48.2532535,lon=16.3605178}, {Node id=442071212 version=2 D lat=48.2532563,lon=16.3606122}, {Node id=442071216 version=2 D lat=48.2534601,lon=16.3606228}, {Node id=442071217 version=2 D lat=48.25376,lon=16.3606914}, {Node id=442071219 version=2 D lat=48.2538657,lon=16.3606914}, {Node id=442071220 version=2 D lat=48.2538743,lon=16.3603782}, {Node id=442071222 version=2 D lat=48.2540114,lon=16.3603825}, {Node id=442071223 version=3 V lat=48.2541525,lon=16.3602696}]} refers to deleted primitive {Node id=442071217 version=2 D lat=48.25376,lon=16.3606914}
[DELETED REFERENCED] {Way id=37700192 version=2 D nodes=[{Node id=442071204 version=2 D lat=48.2531363,lon=16.3597198}, {Node id=442071205 version=2 D lat=48.2530306,lon=16.3598185}, {Node id=442071206 version=2 D lat=48.2529621,lon=16.3598957}, {Node id=442071207 version=2 D lat=48.2530164,lon=16.3600073}, {Node id=442071208 version=2 D lat=48.2531335,lon=16.3600545}, {Node id=442071209 version=2 D lat=48.2532192,lon=16.360106}, {Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442071211 version=2 D lat=48.2532535,lon=16.3605178}, {Node id=442071212 version=2 D lat=48.2532563,lon=16.3606122}, {Node id=442071216 version=2 D lat=48.2534601,lon=16.3606228}, {Node id=442071217 version=2 D lat=48.25376,lon=16.3606914}, {Node id=442071219 version=2 D lat=48.2538657,lon=16.3606914}, {Node id=442071220 version=2 D lat=48.2538743,lon=16.3603782}, {Node id=442071222 version=2 D lat=48.2540114,lon=16.3603825}, {Node id=442071223 version=3 V lat=48.2541525,lon=16.3602696}]} refers to deleted primitive {Node id=442071219 version=2 D lat=48.2538657,lon=16.3606914}
[DELETED REFERENCED] {Way id=37700192 version=2 D nodes=[{Node id=442071204 version=2 D lat=48.2531363,lon=16.3597198}, {Node id=442071205 version=2 D lat=48.2530306,lon=16.3598185}, {Node id=442071206 version=2 D lat=48.2529621,lon=16.3598957}, {Node id=442071207 version=2 D lat=48.2530164,lon=16.3600073}, {Node id=442071208 version=2 D lat=48.2531335,lon=16.3600545}, {Node id=442071209 version=2 D lat=48.2532192,lon=16.360106}, {Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442071211 version=2 D lat=48.2532535,lon=16.3605178}, {Node id=442071212 version=2 D lat=48.2532563,lon=16.3606122}, {Node id=442071216 version=2 D lat=48.2534601,lon=16.3606228}, {Node id=442071217 version=2 D lat=48.25376,lon=16.3606914}, {Node id=442071219 version=2 D lat=48.2538657,lon=16.3606914}, {Node id=442071220 version=2 D lat=48.2538743,lon=16.3603782}, {Node id=442071222 version=2 D lat=48.2540114,lon=16.3603825}, {Node id=442071223 version=3 V lat=48.2541525,lon=16.3602696}]} refers to deleted primitive {Node id=442071220 version=2 D lat=48.2538743,lon=16.3603782}
[DELETED REFERENCED] {Way id=37700192 version=2 D nodes=[{Node id=442071204 version=2 D lat=48.2531363,lon=16.3597198}, {Node id=442071205 version=2 D lat=48.2530306,lon=16.3598185}, {Node id=442071206 version=2 D lat=48.2529621,lon=16.3598957}, {Node id=442071207 version=2 D lat=48.2530164,lon=16.3600073}, {Node id=442071208 version=2 D lat=48.2531335,lon=16.3600545}, {Node id=442071209 version=2 D lat=48.2532192,lon=16.360106}, {Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442071211 version=2 D lat=48.2532535,lon=16.3605178}, {Node id=442071212 version=2 D lat=48.2532563,lon=16.3606122}, {Node id=442071216 version=2 D lat=48.2534601,lon=16.3606228}, {Node id=442071217 version=2 D lat=48.25376,lon=16.3606914}, {Node id=442071219 version=2 D lat=48.2538657,lon=16.3606914}, {Node id=442071220 version=2 D lat=48.2538743,lon=16.3603782}, {Node id=442071222 version=2 D lat=48.2540114,lon=16.3603825}, {Node id=442071223 version=3 V lat=48.2541525,lon=16.3602696}]} refers to deleted primitive {Node id=442071222 version=2 D lat=48.2540114,lon=16.3603825}
[DELETED REFERENCED] {Way id=29062423 version=2 D nodes=[{Node id=319678592 version=2 D lat=48.2462465,lon=16.3537003}, {Node id=319678593 version=2 V lat=48.2460653,lon=16.3546024}]} refers to deleted primitive {Node id=319678592 version=2 D lat=48.2462465,lon=16.3537003}
[DELETED REFERENCED] {Way id=56297802 version=2 D nodes=[{Node id=706207422 version=2 D lat=48.2559303,lon=16.3130895}, {Node id=706207417 version=2 D lat=48.2558828,lon=16.3129812}]} refers to deleted primitive {Node id=706207422 version=2 D lat=48.2559303,lon=16.3130895}
[DELETED REFERENCED] {Way id=56297802 version=2 D nodes=[{Node id=706207422 version=2 D lat=48.2559303,lon=16.3130895}, {Node id=706207417 version=2 D lat=48.2558828,lon=16.3129812}]} refers to deleted primitive {Node id=706207417 version=2 D lat=48.2558828,lon=16.3129812}
[DELETED REFERENCED] {Way id=26280402 version=2 D nodes=[{Node id=287864927 version=3 D lat=48.2420409,lon=16.3590436}, {Node id=287864925 version=3 D lat=48.2421157,lon=16.3592039}, {Node id=287864926 version=3 D lat=48.2419709,lon=16.3593564}, {Node id=287864928 version=3 D lat=48.2418961,lon=16.3591961}, {Node id=287864927 version=3 D lat=48.2420409,lon=16.3590436}]} refers to deleted primitive {Node id=287864927 version=3 D lat=48.2420409,lon=16.3590436}
[DELETED REFERENCED] {Way id=26280402 version=2 D nodes=[{Node id=287864927 version=3 D lat=48.2420409,lon=16.3590436}, {Node id=287864925 version=3 D lat=48.2421157,lon=16.3592039}, {Node id=287864926 version=3 D lat=48.2419709,lon=16.3593564}, {Node id=287864928 version=3 D lat=48.2418961,lon=16.3591961}, {Node id=287864927 version=3 D lat=48.2420409,lon=16.3590436}]} refers to deleted primitive {Node id=287864925 version=3 D lat=48.2421157,lon=16.3592039}
[DELETED REFERENCED] {Way id=26280402 version=2 D nodes=[{Node id=287864927 version=3 D lat=48.2420409,lon=16.3590436}, {Node id=287864925 version=3 D lat=48.2421157,lon=16.3592039}, {Node id=287864926 version=3 D lat=48.2419709,lon=16.3593564}, {Node id=287864928 version=3 D lat=48.2418961,lon=16.3591961}, {Node id=287864927 version=3 D lat=48.2420409,lon=16.3590436}]} refers to deleted primitive {Node id=287864926 version=3 D lat=48.2419709,lon=16.3593564}
[DELETED REFERENCED] {Way id=26280402 version=2 D nodes=[{Node id=287864927 version=3 D lat=48.2420409,lon=16.3590436}, {Node id=287864925 version=3 D lat=48.2421157,lon=16.3592039}, {Node id=287864926 version=3 D lat=48.2419709,lon=16.3593564}, {Node id=287864928 version=3 D lat=48.2418961,lon=16.3591961}, {Node id=287864927 version=3 D lat=48.2420409,lon=16.3590436}]} refers to deleted primitive {Node id=287864928 version=3 D lat=48.2418961,lon=16.3591961}
[DELETED REFERENCED] {Way id=26280402 version=2 D nodes=[{Node id=287864927 version=3 D lat=48.2420409,lon=16.3590436}, {Node id=287864925 version=3 D lat=48.2421157,lon=16.3592039}, {Node id=287864926 version=3 D lat=48.2419709,lon=16.3593564}, {Node id=287864928 version=3 D lat=48.2418961,lon=16.3591961}, {Node id=287864927 version=3 D lat=48.2420409,lon=16.3590436}]} refers to deleted primitive {Node id=287864927 version=3 D lat=48.2420409,lon=16.3590436}
[DELETED REFERENCED] {Way id=35572860 version=2 D nodes=[{Node id=338776459 version=5 D lat=48.1999636,lon=16.4572717}, {Node id=338776982 version=2 V lat=48.1998697,lon=16.4571372}]} refers to deleted primitive {Node id=338776459 version=5 D lat=48.1999636,lon=16.4572717}
[DELETED REFERENCED] {Way id=26147255 version=3 D nodes=[{Node id=287864940 version=9 V lat=48.2426215,lon=16.3613524}, {Node id=286341706 version=5 D lat=48.2426363,lon=16.3612243}, {Node id=286341707 version=3 D lat=48.2427132,lon=16.3611635}, {Node id=286341708 version=3 D lat=48.2428731,lon=16.3611632}, {Node id=286341709 version=2 D lat=48.2429801,lon=16.3610807}, {Node id=286341710 version=2 D lat=48.2431975,lon=16.3609806}]} refers to deleted primitive {Node id=286341706 version=5 D lat=48.2426363,lon=16.3612243}
[DELETED REFERENCED] {Way id=26147255 version=3 D nodes=[{Node id=287864940 version=9 V lat=48.2426215,lon=16.3613524}, {Node id=286341706 version=5 D lat=48.2426363,lon=16.3612243}, {Node id=286341707 version=3 D lat=48.2427132,lon=16.3611635}, {Node id=286341708 version=3 D lat=48.2428731,lon=16.3611632}, {Node id=286341709 version=2 D lat=48.2429801,lon=16.3610807}, {Node id=286341710 version=2 D lat=48.2431975,lon=16.3609806}]} refers to deleted primitive {Node id=286341707 version=3 D lat=48.2427132,lon=16.3611635}
[DELETED REFERENCED] {Way id=26147255 version=3 D nodes=[{Node id=287864940 version=9 V lat=48.2426215,lon=16.3613524}, {Node id=286341706 version=5 D lat=48.2426363,lon=16.3612243}, {Node id=286341707 version=3 D lat=48.2427132,lon=16.3611635}, {Node id=286341708 version=3 D lat=48.2428731,lon=16.3611632}, {Node id=286341709 version=2 D lat=48.2429801,lon=16.3610807}, {Node id=286341710 version=2 D lat=48.2431975,lon=16.3609806}]} refers to deleted primitive {Node id=286341708 version=3 D lat=48.2428731,lon=16.3611632}
[DELETED REFERENCED] {Way id=26147255 version=3 D nodes=[{Node id=287864940 version=9 V lat=48.2426215,lon=16.3613524}, {Node id=286341706 version=5 D lat=48.2426363,lon=16.3612243}, {Node id=286341707 version=3 D lat=48.2427132,lon=16.3611635}, {Node id=286341708 version=3 D lat=48.2428731,lon=16.3611632}, {Node id=286341709 version=2 D lat=48.2429801,lon=16.3610807}, {Node id=286341710 version=2 D lat=48.2431975,lon=16.3609806}]} refers to deleted primitive {Node id=286341709 version=2 D lat=48.2429801,lon=16.3610807}
[DELETED REFERENCED] {Way id=26147255 version=3 D nodes=[{Node id=287864940 version=9 V lat=48.2426215,lon=16.3613524}, {Node id=286341706 version=5 D lat=48.2426363,lon=16.3612243}, {Node id=286341707 version=3 D lat=48.2427132,lon=16.3611635}, {Node id=286341708 version=3 D lat=48.2428731,lon=16.3611632}, {Node id=286341709 version=2 D lat=48.2429801,lon=16.3610807}, {Node id=286341710 version=2 D lat=48.2431975,lon=16.3609806}]} refers to deleted primitive {Node id=286341710 version=2 D lat=48.2431975,lon=16.3609806}
[DELETED REFERENCED] {Way id=29063798 version=2 D nodes=[{Node id=319698468 version=9 V lat=48.2543978,lon=16.363473}, {Node id=319698469 version=2 V lat=48.2541359,lon=16.3634834}, {Node id=319698470 version=2 V lat=48.2538554,lon=16.3634714}, {Node id=319698471 version=2 V lat=48.2534635,lon=16.3633528}, {Node id=319698475 version=2 D lat=48.2524125,lon=16.3628572}]} refers to deleted primitive {Node id=319698475 version=2 D lat=48.2524125,lon=16.3628572}
[DELETED REFERENCED] {Way id=133287322 version=4 D nodes=[{Node id=1467117314 version=2 D lat=48.226321,lon=16.3570319}, {Node id=1467117317 version=2 D lat=48.2262639,lon=16.357056}, {Node id=1467117403 version=2 D lat=48.2262254,lon=16.3568951}, {Node id=1467117335 version=2 D lat=48.2263318,lon=16.3568522}, {Node id=1467117401 version=2 D lat=48.2263676,lon=16.3570222}, {Node id=1467117423 version=2 D lat=48.2263801,lon=16.3570906}, {Node id=1467117431 version=2 D lat=48.2263346,lon=16.3571067}, {Node id=1467117314 version=2 D lat=48.226321,lon=16.3570319}]} refers to deleted primitive {Node id=1467117314 version=2 D lat=48.226321,lon=16.3570319}
[DELETED REFERENCED] {Way id=133287322 version=4 D nodes=[{Node id=1467117314 version=2 D lat=48.226321,lon=16.3570319}, {Node id=1467117317 version=2 D lat=48.2262639,lon=16.357056}, {Node id=1467117403 version=2 D lat=48.2262254,lon=16.3568951}, {Node id=1467117335 version=2 D lat=48.2263318,lon=16.3568522}, {Node id=1467117401 version=2 D lat=48.2263676,lon=16.3570222}, {Node id=1467117423 version=2 D lat=48.2263801,lon=16.3570906}, {Node id=1467117431 version=2 D lat=48.2263346,lon=16.3571067}, {Node id=1467117314 version=2 D lat=48.226321,lon=16.3570319}]} refers to deleted primitive {Node id=1467117317 version=2 D lat=48.2262639,lon=16.357056}
[DELETED REFERENCED] {Way id=133287322 version=4 D nodes=[{Node id=1467117314 version=2 D lat=48.226321,lon=16.3570319}, {Node id=1467117317 version=2 D lat=48.2262639,lon=16.357056}, {Node id=1467117403 version=2 D lat=48.2262254,lon=16.3568951}, {Node id=1467117335 version=2 D lat=48.2263318,lon=16.3568522}, {Node id=1467117401 version=2 D lat=48.2263676,lon=16.3570222}, {Node id=1467117423 version=2 D lat=48.2263801,lon=16.3570906}, {Node id=1467117431 version=2 D lat=48.2263346,lon=16.3571067}, {Node id=1467117314 version=2 D lat=48.226321,lon=16.3570319}]} refers to deleted primitive {Node id=1467117403 version=2 D lat=48.2262254,lon=16.3568951}
[DELETED REFERENCED] {Way id=133287322 version=4 D nodes=[{Node id=1467117314 version=2 D lat=48.226321,lon=16.3570319}, {Node id=1467117317 version=2 D lat=48.2262639,lon=16.357056}, {Node id=1467117403 version=2 D lat=48.2262254,lon=16.3568951}, {Node id=1467117335 version=2 D lat=48.2263318,lon=16.3568522}, {Node id=1467117401 version=2 D lat=48.2263676,lon=16.3570222}, {Node id=1467117423 version=2 D lat=48.2263801,lon=16.3570906}, {Node id=1467117431 version=2 D lat=48.2263346,lon=16.3571067}, {Node id=1467117314 version=2 D lat=48.226321,lon=16.3570319}]} refers to deleted primitive {Node id=1467117335 version=2 D lat=48.2263318,lon=16.3568522}
[DELETED REFERENCED] {Way id=133287322 version=4 D nodes=[{Node id=1467117314 version=2 D lat=48.226321,lon=16.3570319}, {Node id=1467117317 version=2 D lat=48.2262639,lon=16.357056}, {Node id=1467117403 version=2 D lat=48.2262254,lon=16.3568951}, {Node id=1467117335 version=2 D lat=48.2263318,lon=16.3568522}, {Node id=1467117401 version=2 D lat=48.2263676,lon=16.3570222}, {Node id=1467117423 version=2 D lat=48.2263801,lon=16.3570906}, {Node id=1467117431 version=2 D lat=48.2263346,lon=16.3571067}, {Node id=1467117314 version=2 D lat=48.226321,lon=16.3570319}]} refers to deleted primitive {Node id=1467117401 version=2 D lat=48.2263676,lon=16.3570222}
[DELETED REFERENCED] {Way id=133287322 version=4 D nodes=[{Node id=1467117314 version=2 D lat=48.226321,lon=16.3570319}, {Node id=1467117317 version=2 D lat=48.2262639,lon=16.357056}, {Node id=1467117403 version=2 D lat=48.2262254,lon=16.3568951}, {Node id=1467117335 version=2 D lat=48.2263318,lon=16.3568522}, {Node id=1467117401 version=2 D lat=48.2263676,lon=16.3570222}, {Node id=1467117423 version=2 D lat=48.2263801,lon=16.3570906}, {Node id=1467117431 version=2 D lat=48.2263346,lon=16.3571067}, {Node id=1467117314 version=2 D lat=48.226321,lon=16.3570319}]} refers to deleted primitive {Node id=1467117423 version=2 D lat=48.2263801,lon=16.3570906}
[DELETED REFERENCED] {Way id=133287322 version=4 D nodes=[{Node id=1467117314 version=2 D lat=48.226321,lon=16.3570319}, {Node id=1467117317 version=2 D lat=48.2262639,lon=16.357056}, {Node id=1467117403 version=2 D lat=48.2262254,lon=16.3568951}, {Node id=1467117335 version=2 D lat=48.2263318,lon=16.3568522}, {Node id=1467117401 version=2 D lat=48.2263676,lon=16.3570222}, {Node id=1467117423 version=2 D lat=48.2263801,lon=16.3570906}, {Node id=1467117431 version=2 D lat=48.2263346,lon=16.3571067}, {Node id=1467117314 version=2 D lat=48.226321,lon=16.3570319}]} refers to deleted primitive {Node id=1467117431 version=2 D lat=48.2263346,lon=16.3571067}
[DELETED REFERENCED] {Way id=133287322 version=4 D nodes=[{Node id=1467117314 version=2 D lat=48.226321,lon=16.3570319}, {Node id=1467117317 version=2 D lat=48.2262639,lon=16.357056}, {Node id=1467117403 version=2 D lat=48.2262254,lon=16.3568951}, {Node id=1467117335 version=2 D lat=48.2263318,lon=16.3568522}, {Node id=1467117401 version=2 D lat=48.2263676,lon=16.3570222}, {Node id=1467117423 version=2 D lat=48.2263801,lon=16.3570906}, {Node id=1467117431 version=2 D lat=48.2263346,lon=16.3571067}, {Node id=1467117314 version=2 D lat=48.226321,lon=16.3570319}]} refers to deleted primitive {Node id=1467117314 version=2 D lat=48.226321,lon=16.3570319}
[DELETED REFERENCED] {Way id=37700212 version=2 D nodes=[{Node id=442071120 version=2 D lat=48.2536905,lon=16.3559395}, {Node id=442071294 version=2 D lat=48.2537697,lon=16.3559993}, {Node id=442071296 version=2 D lat=48.2538173,lon=16.3560707}]} refers to deleted primitive {Node id=442071120 version=2 D lat=48.2536905,lon=16.3559395}
[DELETED REFERENCED] {Way id=37700212 version=2 D nodes=[{Node id=442071120 version=2 D lat=48.2536905,lon=16.3559395}, {Node id=442071294 version=2 D lat=48.2537697,lon=16.3559993}, {Node id=442071296 version=2 D lat=48.2538173,lon=16.3560707}]} refers to deleted primitive {Node id=442071294 version=2 D lat=48.2537697,lon=16.3559993}
[DELETED REFERENCED] {Way id=37700212 version=2 D nodes=[{Node id=442071120 version=2 D lat=48.2536905,lon=16.3559395}, {Node id=442071294 version=2 D lat=48.2537697,lon=16.3559993}, {Node id=442071296 version=2 D lat=48.2538173,lon=16.3560707}]} refers to deleted primitive {Node id=442071296 version=2 D lat=48.2538173,lon=16.3560707}
[DELETED REFERENCED] {Way id=44169679 version=3 D nodes=[{Node id=561089939 version=3 D lat=48.231995,lon=16.3571445}, {Node id=561089941 version=2 D lat=48.2314347,lon=16.3573591}, {Node id=561089943 version=2 D lat=48.2312918,lon=16.3576766}, {Node id=561089946 version=2 D lat=48.2314462,lon=16.3576423}, {Node id=561089947 version=2 D lat=48.2314462,lon=16.3575736}, {Node id=561089948 version=2 D lat=48.2320179,lon=16.3573591}, {Node id=561089939 version=3 D lat=48.231995,lon=16.3571445}]} refers to deleted primitive {Node id=561089939 version=3 D lat=48.231995,lon=16.3571445}
[DELETED REFERENCED] {Way id=44169679 version=3 D nodes=[{Node id=561089939 version=3 D lat=48.231995,lon=16.3571445}, {Node id=561089941 version=2 D lat=48.2314347,lon=16.3573591}, {Node id=561089943 version=2 D lat=48.2312918,lon=16.3576766}, {Node id=561089946 version=2 D lat=48.2314462,lon=16.3576423}, {Node id=561089947 version=2 D lat=48.2314462,lon=16.3575736}, {Node id=561089948 version=2 D lat=48.2320179,lon=16.3573591}, {Node id=561089939 version=3 D lat=48.231995,lon=16.3571445}]} refers to deleted primitive {Node id=561089941 version=2 D lat=48.2314347,lon=16.3573591}
[DELETED REFERENCED] {Way id=44169679 version=3 D nodes=[{Node id=561089939 version=3 D lat=48.231995,lon=16.3571445}, {Node id=561089941 version=2 D lat=48.2314347,lon=16.3573591}, {Node id=561089943 version=2 D lat=48.2312918,lon=16.3576766}, {Node id=561089946 version=2 D lat=48.2314462,lon=16.3576423}, {Node id=561089947 version=2 D lat=48.2314462,lon=16.3575736}, {Node id=561089948 version=2 D lat=48.2320179,lon=16.3573591}, {Node id=561089939 version=3 D lat=48.231995,lon=16.3571445}]} refers to deleted primitive {Node id=561089943 version=2 D lat=48.2312918,lon=16.3576766}
[DELETED REFERENCED] {Way id=44169679 version=3 D nodes=[{Node id=561089939 version=3 D lat=48.231995,lon=16.3571445}, {Node id=561089941 version=2 D lat=48.2314347,lon=16.3573591}, {Node id=561089943 version=2 D lat=48.2312918,lon=16.3576766}, {Node id=561089946 version=2 D lat=48.2314462,lon=16.3576423}, {Node id=561089947 version=2 D lat=48.2314462,lon=16.3575736}, {Node id=561089948 version=2 D lat=48.2320179,lon=16.3573591}, {Node id=561089939 version=3 D lat=48.231995,lon=16.3571445}]} refers to deleted primitive {Node id=561089946 version=2 D lat=48.2314462,lon=16.3576423}
[DELETED REFERENCED] {Way id=44169679 version=3 D nodes=[{Node id=561089939 version=3 D lat=48.231995,lon=16.3571445}, {Node id=561089941 version=2 D lat=48.2314347,lon=16.3573591}, {Node id=561089943 version=2 D lat=48.2312918,lon=16.3576766}, {Node id=561089946 version=2 D lat=48.2314462,lon=16.3576423}, {Node id=561089947 version=2 D lat=48.2314462,lon=16.3575736}, {Node id=561089948 version=2 D lat=48.2320179,lon=16.3573591}, {Node id=561089939 version=3 D lat=48.231995,lon=16.3571445}]} refers to deleted primitive {Node id=561089947 version=2 D lat=48.2314462,lon=16.3575736}
[DELETED REFERENCED] {Way id=44169679 version=3 D nodes=[{Node id=561089939 version=3 D lat=48.231995,lon=16.3571445}, {Node id=561089941 version=2 D lat=48.2314347,lon=16.3573591}, {Node id=561089943 version=2 D lat=48.2312918,lon=16.3576766}, {Node id=561089946 version=2 D lat=48.2314462,lon=16.3576423}, {Node id=561089947 version=2 D lat=48.2314462,lon=16.3575736}, {Node id=561089948 version=2 D lat=48.2320179,lon=16.3573591}, {Node id=561089939 version=3 D lat=48.231995,lon=16.3571445}]} refers to deleted primitive {Node id=561089948 version=2 D lat=48.2320179,lon=16.3573591}
[DELETED REFERENCED] {Way id=44169679 version=3 D nodes=[{Node id=561089939 version=3 D lat=48.231995,lon=16.3571445}, {Node id=561089941 version=2 D lat=48.2314347,lon=16.3573591}, {Node id=561089943 version=2 D lat=48.2312918,lon=16.3576766}, {Node id=561089946 version=2 D lat=48.2314462,lon=16.3576423}, {Node id=561089947 version=2 D lat=48.2314462,lon=16.3575736}, {Node id=561089948 version=2 D lat=48.2320179,lon=16.3573591}, {Node id=561089939 version=3 D lat=48.231995,lon=16.3571445}]} refers to deleted primitive {Node id=561089939 version=3 D lat=48.231995,lon=16.3571445}
[DELETED REFERENCED] {Way id=27018348 version=5 D nodes=[{Node id=296151537 version=5 V lat=48.2409519,lon=16.357158}, {Node id=296151538 version=3 D lat=48.2410435,lon=16.3571836}, {Node id=296156778 version=2 D lat=48.2411327,lon=16.3572021}, {Node id=296156780 version=4 D lat=48.2411245,lon=16.3572827}, {Node id=296156782 version=2 D lat=48.2410108,lon=16.3572581}, {Node id=296156784 version=2 D lat=48.2409993,lon=16.3573673}, {Node id=296156785 version=4 D lat=48.2411134,lon=16.3573922}, {Node id=296156787 version=4 D lat=48.2411057,lon=16.3574674}, {Node id=296156772 version=4 V lat=48.2409227,lon=16.3574185}, {Node id=296151537 version=5 V lat=48.2409519,lon=16.357158}]} refers to deleted primitive {Node id=296151538 version=3 D lat=48.2410435,lon=16.3571836}
[DELETED REFERENCED] {Way id=27018348 version=5 D nodes=[{Node id=296151537 version=5 V lat=48.2409519,lon=16.357158}, {Node id=296151538 version=3 D lat=48.2410435,lon=16.3571836}, {Node id=296156778 version=2 D lat=48.2411327,lon=16.3572021}, {Node id=296156780 version=4 D lat=48.2411245,lon=16.3572827}, {Node id=296156782 version=2 D lat=48.2410108,lon=16.3572581}, {Node id=296156784 version=2 D lat=48.2409993,lon=16.3573673}, {Node id=296156785 version=4 D lat=48.2411134,lon=16.3573922}, {Node id=296156787 version=4 D lat=48.2411057,lon=16.3574674}, {Node id=296156772 version=4 V lat=48.2409227,lon=16.3574185}, {Node id=296151537 version=5 V lat=48.2409519,lon=16.357158}]} refers to deleted primitive {Node id=296156778 version=2 D lat=48.2411327,lon=16.3572021}
[DELETED REFERENCED] {Way id=27018348 version=5 D nodes=[{Node id=296151537 version=5 V lat=48.2409519,lon=16.357158}, {Node id=296151538 version=3 D lat=48.2410435,lon=16.3571836}, {Node id=296156778 version=2 D lat=48.2411327,lon=16.3572021}, {Node id=296156780 version=4 D lat=48.2411245,lon=16.3572827}, {Node id=296156782 version=2 D lat=48.2410108,lon=16.3572581}, {Node id=296156784 version=2 D lat=48.2409993,lon=16.3573673}, {Node id=296156785 version=4 D lat=48.2411134,lon=16.3573922}, {Node id=296156787 version=4 D lat=48.2411057,lon=16.3574674}, {Node id=296156772 version=4 V lat=48.2409227,lon=16.3574185}, {Node id=296151537 version=5 V lat=48.2409519,lon=16.357158}]} refers to deleted primitive {Node id=296156780 version=4 D lat=48.2411245,lon=16.3572827}
[DELETED REFERENCED] {Way id=27018348 version=5 D nodes=[{Node id=296151537 version=5 V lat=48.2409519,lon=16.357158}, {Node id=296151538 version=3 D lat=48.2410435,lon=16.3571836}, {Node id=296156778 version=2 D lat=48.2411327,lon=16.3572021}, {Node id=296156780 version=4 D lat=48.2411245,lon=16.3572827}, {Node id=296156782 version=2 D lat=48.2410108,lon=16.3572581}, {Node id=296156784 version=2 D lat=48.2409993,lon=16.3573673}, {Node id=296156785 version=4 D lat=48.2411134,lon=16.3573922}, {Node id=296156787 version=4 D lat=48.2411057,lon=16.3574674}, {Node id=296156772 version=4 V lat=48.2409227,lon=16.3574185}, {Node id=296151537 version=5 V lat=48.2409519,lon=16.357158}]} refers to deleted primitive {Node id=296156782 version=2 D lat=48.2410108,lon=16.3572581}
[DELETED REFERENCED] {Way id=27018348 version=5 D nodes=[{Node id=296151537 version=5 V lat=48.2409519,lon=16.357158}, {Node id=296151538 version=3 D lat=48.2410435,lon=16.3571836}, {Node id=296156778 version=2 D lat=48.2411327,lon=16.3572021}, {Node id=296156780 version=4 D lat=48.2411245,lon=16.3572827}, {Node id=296156782 version=2 D lat=48.2410108,lon=16.3572581}, {Node id=296156784 version=2 D lat=48.2409993,lon=16.3573673}, {Node id=296156785 version=4 D lat=48.2411134,lon=16.3573922}, {Node id=296156787 version=4 D lat=48.2411057,lon=16.3574674}, {Node id=296156772 version=4 V lat=48.2409227,lon=16.3574185}, {Node id=296151537 version=5 V lat=48.2409519,lon=16.357158}]} refers to deleted primitive {Node id=296156784 version=2 D lat=48.2409993,lon=16.3573673}
[DELETED REFERENCED] {Way id=27018348 version=5 D nodes=[{Node id=296151537 version=5 V lat=48.2409519,lon=16.357158}, {Node id=296151538 version=3 D lat=48.2410435,lon=16.3571836}, {Node id=296156778 version=2 D lat=48.2411327,lon=16.3572021}, {Node id=296156780 version=4 D lat=48.2411245,lon=16.3572827}, {Node id=296156782 version=2 D lat=48.2410108,lon=16.3572581}, {Node id=296156784 version=2 D lat=48.2409993,lon=16.3573673}, {Node id=296156785 version=4 D lat=48.2411134,lon=16.3573922}, {Node id=296156787 version=4 D lat=48.2411057,lon=16.3574674}, {Node id=296156772 version=4 V lat=48.2409227,lon=16.3574185}, {Node id=296151537 version=5 V lat=48.2409519,lon=16.357158}]} refers to deleted primitive {Node id=296156785 version=4 D lat=48.2411134,lon=16.3573922}
[DELETED REFERENCED] {Way id=27018348 version=5 D nodes=[{Node id=296151537 version=5 V lat=48.2409519,lon=16.357158}, {Node id=296151538 version=3 D lat=48.2410435,lon=16.3571836}, {Node id=296156778 version=2 D lat=48.2411327,lon=16.3572021}, {Node id=296156780 version=4 D lat=48.2411245,lon=16.3572827}, {Node id=296156782 version=2 D lat=48.2410108,lon=16.3572581}, {Node id=296156784 version=2 D lat=48.2409993,lon=16.3573673}, {Node id=296156785 version=4 D lat=48.2411134,lon=16.3573922}, {Node id=296156787 version=4 D lat=48.2411057,lon=16.3574674}, {Node id=296156772 version=4 V lat=48.2409227,lon=16.3574185}, {Node id=296151537 version=5 V lat=48.2409519,lon=16.357158}]} refers to deleted primitive {Node id=296156787 version=4 D lat=48.2411057,lon=16.3574674}
[DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}
[DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}
[DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}
[DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}
[DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}
[DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}
[DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}
[DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}
[DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}
[DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}
[DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}
[DELETED REFERENCED] {Way id=28892295 version=3 D nodes=[{Node id=317588008 version=11 D lat=48.2584403,lon=16.3534521}, {Node id=317588065 version=3 D lat=48.2584803,lon=16.3534435}, {Node id=317588066 version=3 D lat=48.2585946,lon=16.3532203}, {Node id=317588067 version=3 D lat=48.258806,lon=16.3525595}, {Node id=317588068 version=5 D lat=48.2585736,lon=16.3523712}]} refers to deleted primitive {Node id=317588008 version=11 D lat=48.2584403,lon=16.3534521}
[DELETED REFERENCED] {Way id=28892295 version=3 D nodes=[{Node id=317588008 version=11 D lat=48.2584403,lon=16.3534521}, {Node id=317588065 version=3 D lat=48.2584803,lon=16.3534435}, {Node id=317588066 version=3 D lat=48.2585946,lon=16.3532203}, {Node id=317588067 version=3 D lat=48.258806,lon=16.3525595}, {Node id=317588068 version=5 D lat=48.2585736,lon=16.3523712}]} refers to deleted primitive {Node id=317588065 version=3 D lat=48.2584803,lon=16.3534435}
[DELETED REFERENCED] {Way id=28892295 version=3 D nodes=[{Node id=317588008 version=11 D lat=48.2584403,lon=16.3534521}, {Node id=317588065 version=3 D lat=48.2584803,lon=16.3534435}, {Node id=317588066 version=3 D lat=48.2585946,lon=16.3532203}, {Node id=317588067 version=3 D lat=48.258806,lon=16.3525595}, {Node id=317588068 version=5 D lat=48.2585736,lon=16.3523712}]} refers to deleted primitive {Node id=317588066 version=3 D lat=48.2585946,lon=16.3532203}
[DELETED REFERENCED] {Way id=28892295 version=3 D nodes=[{Node id=317588008 version=11 D lat=48.2584403,lon=16.3534521}, {Node id=317588065 version=3 D lat=48.2584803,lon=16.3534435}, {Node id=317588066 version=3 D lat=48.2585946,lon=16.3532203}, {Node id=317588067 version=3 D lat=48.258806,lon=16.3525595}, {Node id=317588068 version=5 D lat=48.2585736,lon=16.3523712}]} refers to deleted primitive {Node id=317588067 version=3 D lat=48.258806,lon=16.3525595}
[DELETED REFERENCED] {Way id=28892295 version=3 D nodes=[{Node id=317588008 version=11 D lat=48.2584403,lon=16.3534521}, {Node id=317588065 version=3 D lat=48.2584803,lon=16.3534435}, {Node id=317588066 version=3 D lat=48.2585946,lon=16.3532203}, {Node id=317588067 version=3 D lat=48.258806,lon=16.3525595}, {Node id=317588068 version=5 D lat=48.2585736,lon=16.3523712}]} refers to deleted primitive {Node id=317588068 version=5 D lat=48.2585736,lon=16.3523712}
[DELETED REFERENCED] {Way id=29065538 version=2 D nodes=[{Node id=319714194 version=2 D lat=48.247084,lon=16.3483502}, {Node id=93956248 version=5 V lat=48.2461185,lon=16.3480075}]} refers to deleted primitive {Node id=319714194 version=2 D lat=48.247084,lon=16.3483502}
[DELETED REFERENCED] {Way id=26153240 version=2 D nodes=[{Node id=286341730 version=2 D lat=48.2433635,lon=16.360729}, {Node id=286341731 version=3 D lat=48.2431933,lon=16.3607388}]} refers to deleted primitive {Node id=286341730 version=2 D lat=48.2433635,lon=16.360729}
[DELETED REFERENCED] {Way id=26153240 version=2 D nodes=[{Node id=286341730 version=2 D lat=48.2433635,lon=16.360729}, {Node id=286341731 version=3 D lat=48.2431933,lon=16.3607388}]} refers to deleted primitive {Node id=286341731 version=3 D lat=48.2431933,lon=16.3607388}
[DELETED REFERENCED] {Way id=30918488 version=5 D nodes=[{Node id=1193881522 version=1 V lat=48.2654407,lon=16.3109859}, {Node id=343689246 version=3 V lat=48.2658104,lon=16.3111828}, {Node id=343689207 version=5 D lat=48.2664025,lon=16.311286}]} refers to deleted primitive {Node id=343689207 version=5 D lat=48.2664025,lon=16.311286}
[DELETED REFERENCED] {Way id=27037973 version=2 D nodes=[{Node id=296370978 version=3 D lat=48.2428174,lon=16.3548887}, {Node id=296370977 version=3 D lat=48.2428105,lon=16.3550103}, {Node id=296370982 version=3 D lat=48.2427126,lon=16.3549978}, {Node id=296370981 version=3 D lat=48.2427046,lon=16.355138}, {Node id=296370979 version=3 D lat=48.2426031,lon=16.355125}, {Node id=296370980 version=3 D lat=48.242618,lon=16.3548631}, {Node id=296370978 version=3 D lat=48.2428174,lon=16.3548887}]} refers to deleted primitive {Node id=296370978 version=3 D lat=48.2428174,lon=16.3548887}
[DELETED REFERENCED] {Way id=27037973 version=2 D nodes=[{Node id=296370978 version=3 D lat=48.2428174,lon=16.3548887}, {Node id=296370977 version=3 D lat=48.2428105,lon=16.3550103}, {Node id=296370982 version=3 D lat=48.2427126,lon=16.3549978}, {Node id=296370981 version=3 D lat=48.2427046,lon=16.355138}, {Node id=296370979 version=3 D lat=48.2426031,lon=16.355125}, {Node id=296370980 version=3 D lat=48.242618,lon=16.3548631}, {Node id=296370978 version=3 D lat=48.2428174,lon=16.3548887}]} refers to deleted primitive {Node id=296370977 version=3 D lat=48.2428105,lon=16.3550103}
[DELETED REFERENCED] {Way id=27037973 version=2 D nodes=[{Node id=296370978 version=3 D lat=48.2428174,lon=16.3548887}, {Node id=296370977 version=3 D lat=48.2428105,lon=16.3550103}, {Node id=296370982 version=3 D lat=48.2427126,lon=16.3549978}, {Node id=296370981 version=3 D lat=48.2427046,lon=16.355138}, {Node id=296370979 version=3 D lat=48.2426031,lon=16.355125}, {Node id=296370980 version=3 D lat=48.242618,lon=16.3548631}, {Node id=296370978 version=3 D lat=48.2428174,lon=16.3548887}]} refers to deleted primitive {Node id=296370982 version=3 D lat=48.2427126,lon=16.3549978}
[DELETED REFERENCED] {Way id=27037973 version=2 D nodes=[{Node id=296370978 version=3 D lat=48.2428174,lon=16.3548887}, {Node id=296370977 version=3 D lat=48.2428105,lon=16.3550103}, {Node id=296370982 version=3 D lat=48.2427126,lon=16.3549978}, {Node id=296370981 version=3 D lat=48.2427046,lon=16.355138}, {Node id=296370979 version=3 D lat=48.2426031,lon=16.355125}, {Node id=296370980 version=3 D lat=48.242618,lon=16.3548631}, {Node id=296370978 version=3 D lat=48.2428174,lon=16.3548887}]} refers to deleted primitive {Node id=296370981 version=3 D lat=48.2427046,lon=16.355138}
[DELETED REFERENCED] {Way id=27037973 version=2 D nodes=[{Node id=296370978 version=3 D lat=48.2428174,lon=16.3548887}, {Node id=296370977 version=3 D lat=48.2428105,lon=16.3550103}, {Node id=296370982 version=3 D lat=48.2427126,lon=16.3549978}, {Node id=296370981 version=3 D lat=48.2427046,lon=16.355138}, {Node id=296370979 version=3 D lat=48.2426031,lon=16.355125}, {Node id=296370980 version=3 D lat=48.242618,lon=16.3548631}, {Node id=296370978 version=3 D lat=48.2428174,lon=16.3548887}]} refers to deleted primitive {Node id=296370979 version=3 D lat=48.2426031,lon=16.355125}
[DELETED REFERENCED] {Way id=27037973 version=2 D nodes=[{Node id=296370978 version=3 D lat=48.2428174,lon=16.3548887}, {Node id=296370977 version=3 D lat=48.2428105,lon=16.3550103}, {Node id=296370982 version=3 D lat=48.2427126,lon=16.3549978}, {Node id=296370981 version=3 D lat=48.2427046,lon=16.355138}, {Node id=296370979 version=3 D lat=48.2426031,lon=16.355125}, {Node id=296370980 version=3 D lat=48.242618,lon=16.3548631}, {Node id=296370978 version=3 D lat=48.2428174,lon=16.3548887}]} refers to deleted primitive {Node id=296370980 version=3 D lat=48.242618,lon=16.3548631}
[DELETED REFERENCED] {Way id=27037973 version=2 D nodes=[{Node id=296370978 version=3 D lat=48.2428174,lon=16.3548887}, {Node id=296370977 version=3 D lat=48.2428105,lon=16.3550103}, {Node id=296370982 version=3 D lat=48.2427126,lon=16.3549978}, {Node id=296370981 version=3 D lat=48.2427046,lon=16.355138}, {Node id=296370979 version=3 D lat=48.2426031,lon=16.355125}, {Node id=296370980 version=3 D lat=48.242618,lon=16.3548631}, {Node id=296370978 version=3 D lat=48.2428174,lon=16.3548887}]} refers to deleted primitive {Node id=296370978 version=3 D lat=48.2428174,lon=16.3548887}
[DELETED REFERENCED] {Way id=37700203 version=2 D nodes=[{Node id=442071274 version=2 D lat=48.2521884,lon=16.3625887}, {Node id=442071275 version=2 D lat=48.2521335,lon=16.362575}]} refers to deleted primitive {Node id=442071274 version=2 D lat=48.2521884,lon=16.3625887}
[DELETED REFERENCED] {Way id=37700203 version=2 D nodes=[{Node id=442071274 version=2 D lat=48.2521884,lon=16.3625887}, {Node id=442071275 version=2 D lat=48.2521335,lon=16.362575}]} refers to deleted primitive {Node id=442071275 version=2 D lat=48.2521335,lon=16.362575}
[DELETED REFERENCED] {Way id=29063801 version=2 D nodes=[{Node id=319698475 version=2 D lat=48.2524125,lon=16.3628572}, {Node id=319698472 version=2 D lat=48.2522125,lon=16.3627523}, {Node id=319698473 version=4 V lat=48.2521725,lon=16.3629203}, {Node id=319698474 version=2 D lat=48.252368,lon=16.36307}, {Node id=319698475 version=2 D lat=48.2524125,lon=16.3628572}]} refers to deleted primitive {Node id=319698475 version=2 D lat=48.2524125,lon=16.3628572}
[DELETED REFERENCED] {Way id=29063801 version=2 D nodes=[{Node id=319698475 version=2 D lat=48.2524125,lon=16.3628572}, {Node id=319698472 version=2 D lat=48.2522125,lon=16.3627523}, {Node id=319698473 version=4 V lat=48.2521725,lon=16.3629203}, {Node id=319698474 version=2 D lat=48.252368,lon=16.36307}, {Node id=319698475 version=2 D lat=48.2524125,lon=16.3628572}]} refers to deleted primitive {Node id=319698472 version=2 D lat=48.2522125,lon=16.3627523}
[DELETED REFERENCED] {Way id=29063801 version=2 D nodes=[{Node id=319698475 version=2 D lat=48.2524125,lon=16.3628572}, {Node id=319698472 version=2 D lat=48.2522125,lon=16.3627523}, {Node id=319698473 version=4 V lat=48.2521725,lon=16.3629203}, {Node id=319698474 version=2 D lat=48.252368,lon=16.36307}, {Node id=319698475 version=2 D lat=48.2524125,lon=16.3628572}]} refers to deleted primitive {Node id=319698474 version=2 D lat=48.252368,lon=16.36307}
[DELETED REFERENCED] {Way id=29063801 version=2 D nodes=[{Node id=319698475 version=2 D lat=48.2524125,lon=16.3628572}, {Node id=319698472 version=2 D lat=48.2522125,lon=16.3627523}, {Node id=319698473 version=4 V lat=48.2521725,lon=16.3629203}, {Node id=319698474 version=2 D lat=48.252368,lon=16.36307}, {Node id=319698475 version=2 D lat=48.2524125,lon=16.3628572}]} refers to deleted primitive {Node id=319698475 version=2 D lat=48.2524125,lon=16.3628572}
[DELETED REFERENCED] {Way id=74143846 version=2 D nodes=[{Node id=319711813 version=2 D lat=48.2595073,lon=16.3274412}, {Node id=877095151 version=1 V lat=48.2595193,lon=16.3272283}]} refers to deleted primitive {Node id=319711813 version=2 D lat=48.2595073,lon=16.3274412}
[DELETED REFERENCED] {Way id=28580055 version=2 D nodes=[{Node id=313924702 version=10 V lat=48.2268089,lon=16.3494526}, {Node id=313924704 version=3 D lat=48.2268124,lon=16.3493577}]} refers to deleted primitive {Node id=313924704 version=3 D lat=48.2268124,lon=16.3493577}
[DELETED REFERENCED] {Way id=29047547 version=2 D nodes=[{Node id=73103799 version=4 V lat=48.2739441,lon=16.3559993}, {Node id=319500402 version=7 D lat=48.2742234,lon=16.3568406}]} refers to deleted primitive {Node id=319500402 version=7 D lat=48.2742234,lon=16.3568406}
[DELETED REFERENCED] {Way id=56297793 version=2 D nodes=[{Node id=706207417 version=2 D lat=48.2558828,lon=16.3129812}, {Node id=656221272 version=1 V lat=48.2558606,lon=16.3129307}, {Node id=656221274 version=1 V lat=48.2557568,lon=16.312914}]} refers to deleted primitive {Node id=706207417 version=2 D lat=48.2558828,lon=16.3129812}
[DELETED REFERENCED] {Way id=26263462 version=2 D nodes=[{Node id=287652064 version=2 D lat=48.2457734,lon=16.3565432}, {Node id=287652065 version=2 D lat=48.2457614,lon=16.3565823}]} refers to deleted primitive {Node id=287652064 version=2 D lat=48.2457734,lon=16.3565432}
[DELETED REFERENCED] {Way id=26263462 version=2 D nodes=[{Node id=287652064 version=2 D lat=48.2457734,lon=16.3565432}, {Node id=287652065 version=2 D lat=48.2457614,lon=16.3565823}]} refers to deleted primitive {Node id=287652065 version=2 D lat=48.2457614,lon=16.3565823}
[DELETED REFERENCED] {Way id=26708087 version=8 D nodes=[{Node id=292915284 version=2 D lat=48.2538401,lon=16.4045118}, {Node id=292915285 version=2 D lat=48.2534115,lon=16.4055847}, {Node id=292915286 version=2 D lat=48.2527486,lon=16.4050268}, {Node id=292915287 version=3 D lat=48.2525828,lon=16.4052346}, {Node id=292915288 version=3 D lat=48.2524056,lon=16.4051831}, {Node id=292915289 version=3 D lat=48.2522228,lon=16.4051402}, {Node id=292915290 version=2 D lat=48.2520113,lon=16.4050783}, {Node id=292915292 version=3 V lat=48.2518704,lon=16.4049893}, {Node id=292915293 version=2 V lat=48.2523951,lon=16.4035625}, {Node id=292915294 version=3 V lat=48.2528944,lon=16.4039877}, {Node id=292915295 version=3 D lat=48.2529771,lon=16.4037068}, {Node id=292915284 version=2 D lat=48.2538401,lon=16.4045118}]} refers to deleted primitive {Node id=292915284 version=2 D lat=48.2538401,lon=16.4045118}
[DELETED REFERENCED] {Way id=26708087 version=8 D nodes=[{Node id=292915284 version=2 D lat=48.2538401,lon=16.4045118}, {Node id=292915285 version=2 D lat=48.2534115,lon=16.4055847}, {Node id=292915286 version=2 D lat=48.2527486,lon=16.4050268}, {Node id=292915287 version=3 D lat=48.2525828,lon=16.4052346}, {Node id=292915288 version=3 D lat=48.2524056,lon=16.4051831}, {Node id=292915289 version=3 D lat=48.2522228,lon=16.4051402}, {Node id=292915290 version=2 D lat=48.2520113,lon=16.4050783}, {Node id=292915292 version=3 V lat=48.2518704,lon=16.4049893}, {Node id=292915293 version=2 V lat=48.2523951,lon=16.4035625}, {Node id=292915294 version=3 V lat=48.2528944,lon=16.4039877}, {Node id=292915295 version=3 D lat=48.2529771,lon=16.4037068}, {Node id=292915284 version=2 D lat=48.2538401,lon=16.4045118}]} refers to deleted primitive {Node id=292915285 version=2 D lat=48.2534115,lon=16.4055847}
[DELETED REFERENCED] {Way id=26708087 version=8 D nodes=[{Node id=292915284 version=2 D lat=48.2538401,lon=16.4045118}, {Node id=292915285 version=2 D lat=48.2534115,lon=16.4055847}, {Node id=292915286 version=2 D lat=48.2527486,lon=16.4050268}, {Node id=292915287 version=3 D lat=48.2525828,lon=16.4052346}, {Node id=292915288 version=3 D lat=48.2524056,lon=16.4051831}, {Node id=292915289 version=3 D lat=48.2522228,lon=16.4051402}, {Node id=292915290 version=2 D lat=48.2520113,lon=16.4050783}, {Node id=292915292 version=3 V lat=48.2518704,lon=16.4049893}, {Node id=292915293 version=2 V lat=48.2523951,lon=16.4035625}, {Node id=292915294 version=3 V lat=48.2528944,lon=16.4039877}, {Node id=292915295 version=3 D lat=48.2529771,lon=16.4037068}, {Node id=292915284 version=2 D lat=48.2538401,lon=16.4045118}]} refers to deleted primitive {Node id=292915286 version=2 D lat=48.2527486,lon=16.4050268}
[DELETED REFERENCED] {Way id=26708087 version=8 D nodes=[{Node id=292915284 version=2 D lat=48.2538401,lon=16.4045118}, {Node id=292915285 version=2 D lat=48.2534115,lon=16.4055847}, {Node id=292915286 version=2 D lat=48.2527486,lon=16.4050268}, {Node id=292915287 version=3 D lat=48.2525828,lon=16.4052346}, {Node id=292915288 version=3 D lat=48.2524056,lon=16.4051831}, {Node id=292915289 version=3 D lat=48.2522228,lon=16.4051402}, {Node id=292915290 version=2 D lat=48.2520113,lon=16.4050783}, {Node id=292915292 version=3 V lat=48.2518704,lon=16.4049893}, {Node id=292915293 version=2 V lat=48.2523951,lon=16.4035625}, {Node id=292915294 version=3 V lat=48.2528944,lon=16.4039877}, {Node id=292915295 version=3 D lat=48.2529771,lon=16.4037068}, {Node id=292915284 version=2 D lat=48.2538401,lon=16.4045118}]} refers to deleted primitive {Node id=292915287 version=3 D lat=48.2525828,lon=16.4052346}
[DELETED REFERENCED] {Way id=26708087 version=8 D nodes=[{Node id=292915284 version=2 D lat=48.2538401,lon=16.4045118}, {Node id=292915285 version=2 D lat=48.2534115,lon=16.4055847}, {Node id=292915286 version=2 D lat=48.2527486,lon=16.4050268}, {Node id=292915287 version=3 D lat=48.2525828,lon=16.4052346}, {Node id=292915288 version=3 D lat=48.2524056,lon=16.4051831}, {Node id=292915289 version=3 D lat=48.2522228,lon=16.4051402}, {Node id=292915290 version=2 D lat=48.2520113,lon=16.4050783}, {Node id=292915292 version=3 V lat=48.2518704,lon=16.4049893}, {Node id=292915293 version=2 V lat=48.2523951,lon=16.4035625}, {Node id=292915294 version=3 V lat=48.2528944,lon=16.4039877}, {Node id=292915295 version=3 D lat=48.2529771,lon=16.4037068}, {Node id=292915284 version=2 D lat=48.2538401,lon=16.4045118}]} refers to deleted primitive {Node id=292915288 version=3 D lat=48.2524056,lon=16.4051831}
[DELETED REFERENCED] {Way id=26708087 version=8 D nodes=[{Node id=292915284 version=2 D lat=48.2538401,lon=16.4045118}, {Node id=292915285 version=2 D lat=48.2534115,lon=16.4055847}, {Node id=292915286 version=2 D lat=48.2527486,lon=16.4050268}, {Node id=292915287 version=3 D lat=48.2525828,lon=16.4052346}, {Node id=292915288 version=3 D lat=48.2524056,lon=16.4051831}, {Node id=292915289 version=3 D lat=48.2522228,lon=16.4051402}, {Node id=292915290 version=2 D lat=48.2520113,lon=16.4050783}, {Node id=292915292 version=3 V lat=48.2518704,lon=16.4049893}, {Node id=292915293 version=2 V lat=48.2523951,lon=16.4035625}, {Node id=292915294 version=3 V lat=48.2528944,lon=16.4039877}, {Node id=292915295 version=3 D lat=48.2529771,lon=16.4037068}, {Node id=292915284 version=2 D lat=48.2538401,lon=16.4045118}]} refers to deleted primitive {Node id=292915289 version=3 D lat=48.2522228,lon=16.4051402}
[DELETED REFERENCED] {Way id=26708087 version=8 D nodes=[{Node id=292915284 version=2 D lat=48.2538401,lon=16.4045118}, {Node id=292915285 version=2 D lat=48.2534115,lon=16.4055847}, {Node id=292915286 version=2 D lat=48.2527486,lon=16.4050268}, {Node id=292915287 version=3 D lat=48.2525828,lon=16.4052346}, {Node id=292915288 version=3 D lat=48.2524056,lon=16.4051831}, {Node id=292915289 version=3 D lat=48.2522228,lon=16.4051402}, {Node id=292915290 version=2 D lat=48.2520113,lon=16.4050783}, {Node id=292915292 version=3 V lat=48.2518704,lon=16.4049893}, {Node id=292915293 version=2 V lat=48.2523951,lon=16.4035625}, {Node id=292915294 version=3 V lat=48.2528944,lon=16.4039877}, {Node id=292915295 version=3 D lat=48.2529771,lon=16.4037068}, {Node id=292915284 version=2 D lat=48.2538401,lon=16.4045118}]} refers to deleted primitive {Node id=292915290 version=2 D lat=48.2520113,lon=16.4050783}
1840 more...


Plugin: conflation (0.1.6)
Plugin: jts (28415)
Plugin: measurement (27679)
Plugin: opendata (28441)
Plugin: utilsplugin2 (28412)

org.openstreetmap.josm.data.osm.DataIntegrityProblemException: Complete node with null coordinates: {Way id=19680047 version=11 VT nodes=[{Node id=1779819403 version=2 M }, {Node id=477811877 version=3 VT lat=48.1922076,lon=16.3640919}]}Unexpected error. Please report it to http://josm.openstreetmap.de/ticket/3892
{Node id=1779819403 version=2 M }
EastNorth: null
Mercator

	at org.openstreetmap.josm.data.osm.Way.checkNodes(Way.java:520)
	at org.openstreetmap.josm.data.osm.Way.fireNodesChanged(Way.java:530)
	at org.openstreetmap.josm.data.osm.Way.setNodes(Way.java:69)
	at org.openstreetmap.josm.data.osm.DataSetMerger.mergeNodeList(DataSetMerger.java:252)
	at org.openstreetmap.josm.data.osm.DataSetMerger.fixReferences(DataSetMerger.java:160)
	at org.openstreetmap.josm.data.osm.DataSetMerger.merge(DataSetMerger.java:428)
	at org.openstreetmap.josm.data.osm.DataSetMerger.merge(DataSetMerger.java:387)
	at org.openstreetmap.josm.gui.io.UpdatePrimitivesTask.realRun(UpdatePrimitivesTask.java:153)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.doRealRun(PleaseWaitRunnable.java:82)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.run(PleaseWaitRunnable.java:145)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:166)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:679)

It seems the merge operation went bad. The node has not the deleted mask in JOSM, but neither has coordinates... I don't see right now what caused that.

Changed 2 years ago by anonymous

comment:25 follow-up: Changed 2 years ago by stefanct

i dont think that i have backups of both of the original layers, but opening the existing one does at least show the graphical glitch. i'll see what i can do about the files later, let's start with the screenshot... http://josm.openstreetmap.de/attachment/ticket/7847/josm-7847-star.png

comment:26 in reply to: ↑ 25 Changed 2 years ago by Don-vip

Replying to stefan.tauner@…:

let's start with the screenshot... http://josm.openstreetmap.de/attachment/ticket/7847/josm-7847-star.png

Funny :) Looks like what happens when JOSM tries to render nodes without coordinates -> they're all located at (0,0) pixels.

comment:27 follow-up: Changed 2 years ago by verdy_p

Trying to download only my own history (no OSM file loaded, no other data loaded).

  • Run JOSM and use option menu "Windows > Modifications groups manager".
  • Then I click on the button "My modification groups" to fill the list below.
  • Then I start to select one of my own modification groups (e.g. 12042448, which was reverting a deletion NOT made by the licence change bot). And try to download its content.

This throws:

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-07-03 01:31:22
Last Changed Author: simon04
Revision: 5315
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-07-02 14:51:19 +0200 (Mon, 02 Jul 2012)
Last Changed Rev: 5315

Identification: JOSM/1.5 (5315 fr)
Memory Usage: 185 MB / 2714 MB (121 MB allocated, but free)
Java version: 1.7.0_05, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Operating system: Windows 7

Plugin: cadastre-fr (28412)
Plugin: epci-fr (26960)
Plugin: licensechange (28412)
Plugin: mapdust (28412)
Plugin: merge-overlap (28412)
Plugin: multipoly-convert (28412)
Plugin: openstreetbugs (28412)
Plugin: osmarender (28412)
Plugin: reltoolbox (28412)
Plugin: reverter (28412)
Plugin: undelete (28416)
Plugin: waydownloader (28412)

org.openstreetmap.josm.io.OsmTransferException: org.openstreetmap.josm.io.OsmDataParsingException: L’attribut obligatoire 'lat' est manquant. (à la ligne 504, colonne 137)
	at org.openstreetmap.josm.io.OsmServerChangesetReader.downloadChangeset(OsmServerChangesetReader.java:192)
	at org.openstreetmap.josm.gui.dialogs.changeset.ChangesetContentDownloadTask.realRun(ChangesetContentDownloadTask.java:178)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.doRealRun(PleaseWaitRunnable.java:82)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.run(PleaseWaitRunnable.java:145)
	at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
	at java.util.concurrent.FutureTask$Sync.innerRun(Unknown Source)
	at java.util.concurrent.FutureTask.run(Unknown Source)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
	at java.lang.Thread.run(Unknown Source)
Caused by: org.openstreetmap.josm.io.OsmDataParsingException: L’attribut obligatoire 'lat' est manquant. (à la ligne 504, colonne 137)
	at org.openstreetmap.josm.io.OsmChangesetContentParser$Parser.throwException(OsmChangesetContentParser.java:61)
	at org.openstreetmap.josm.io.OsmChangesetContentParser$Parser.getMandatoryAttributeDouble(OsmChangesetContentParser.java:108)
	at org.openstreetmap.josm.io.OsmChangesetContentParser$Parser.createPrimitive(OsmChangesetContentParser.java:162)
	at org.openstreetmap.josm.io.OsmChangesetContentParser$Parser.startNode(OsmChangesetContentParser.java:181)
	at org.openstreetmap.josm.io.OsmChangesetContentParser$Parser.startElement(OsmChangesetContentParser.java:218)
	at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.startElement(Unknown Source)
	at com.sun.org.apache.xerces.internal.parsers.AbstractXMLDocumentParser.emptyElement(Unknown Source)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanStartElement(Unknown Source)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl$FragmentContentDriver.next(Unknown Source)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentScannerImpl.next(Unknown Source)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
	at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(Unknown Source)
	at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(Unknown Source)
	at com.sun.org.apache.xerces.internal.parsers.XMLParser.parse(Unknown Source)
	at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.parse(Unknown Source)
	at com.sun.org.apache.xerces.internal.jaxp.SAXParserImpl$JAXPSAXParser.parse(Unknown Source)
	at com.sun.org.apache.xerces.internal.jaxp.SAXParserImpl.parse(Unknown Source)
	at org.openstreetmap.josm.io.OsmChangesetContentParser.parse(OsmChangesetContentParser.java:315)
	at org.openstreetmap.josm.io.OsmServerChangesetReader.downloadChangeset(OsmServerChangesetReader.java:187)
	... 9 more

comment:28 in reply to: ↑ 27 ; follow-up: Changed 2 years ago by Don-vip

Replying to verdy_p@…:

Trying to download only my own history (no OSM file loaded, no other data loaded).

This has already been fixed in r5346, see #7867. You can use latest to avoid this bug.

comment:29 in reply to: ↑ 28 ; follow-up: Changed 2 years ago by verdy_p

Replying to Don-vip:

Replying to verdy_p@…:

Trying to download only my own history (no OSM file loaded, no other data loaded).

This has already been fixed in r5346, see #7867. You can use latest to avoid this bug.

OK, but this was just changed in your sources yesterday, I could not report this new bug (which was not a duplicate because you had focused only on the OSM data set parser, but not on the ChangeSet parser in all above comments.

There's an urgent need to have this bug solved in the supported release, notably becaiuse the Bot currently makes frequent errors (being reported only if we can track what it does and incorrectly deletes, or more exactly that it redacts as hidde while at the same time destroying coordinates).

JOSM is needed to compare the changes, and track issues in the ongoing bot working in Western Europe (already passed in UK, Ireland, Spain, Italy, most of France except North-East, most of Slovenia and balkanic countries of the former Yugoslavia and Albania.)

There are as well issues with concurrent bots working in parallel on the same objects spanning cells of 1 degree, and redacting objects multiple times (sometimes hidden then made visible again with lost coordinates...). These multiple bot instances should not work on cells that are touching, and should distribute their work over a larger region. Or should pause, as they are internally caching incorrect data that are not always marked as conflicting (and not logged as "failed")

comment:30 in reply to: ↑ 29 ; follow-up: Changed 2 years ago by Don-vip

Replying to verdy_p@…:

Replying to Don-vip:

Replying to verdy_p@…:

Trying to download only my own history (no OSM file loaded, no other data loaded).

This has already been fixed in r5346, see #7867. You can use latest to avoid this bug.

OK, but this was just changed in your sources yesterday, I could not report this new bug (which was not a duplicate because you had focused only on the OSM data set parser, but not on the ChangeSet parser in all above comments.

Did you actually read what I wrote ? I have committed it yesterday, yes, so it is fixed in today's latest (r5348). And it is an exact duplicate of #7867.

There's an urgent need to have this bug solved in the supported release

We know that, that's why we decided to release a tested version sooner than expected. I was planning to release it today, but I would like to fix the problem reported by Stefan as well.

There are as well issues with concurrent bots working in parallel on the same objects spanning cells of 1 degree, and redacting objects multiple times (sometimes hidden then made visible again with lost coordinates...). These multiple bot instances should not work on cells that are touching, and should distribute their work over a larger region. Or should pause, as they are internally caching incorrect data that are not always marked as conflicting (and not logged as "failed")

That does not concern JOSM at all. Please address your remarks to bot developers.

comment:31 in reply to: ↑ 30 ; follow-up: Changed 2 years ago by anonymous

Replying to Don-vip:

Replying to verdy_p@…:

Replying to Don-vip:

Replying to verdy_p@…:

Trying to download only my own history (no OSM file loaded, no other data loaded).

This has already been fixed in r5346, see #7867. You can use latest to avoid this bug.

OK, but this was just changed in your sources yesterday, I could not report this new bug (which was not a duplicate because you had focused only on the OSM data set parser, but not on the ChangeSet parser in all above comments.

Did you actually read what I wrote ? I have committed it yesterday, yes, so it is fixed in today's latest (r5348). And it is an exact duplicate of #7867.

Yes I have read. I was commenting about the status you gave to #7867 (duplicate of #7847 when it was not, and was another issue for the ChangeSet parser, that you have MERGED into this bug related to the OSM data set parser.) My report #7867 was genuinely new there and not covered here.

May be we have other SAX parsers in the code (or in supported plugins) that will require fixes. For now the latest version 5348 correctly handles now the cases I reported in #7867. Thanks. But admit that it was fixed separately.

comment:32 in reply to: ↑ 31 ; follow-up: Changed 2 years ago by Don-vip

Replying to anonymous:

My report #7867 was genuinely new there and not covered here.

I had no idea that you were the author of #7867 as it was created under anonymous account.

Thanks.

Welcome. Please close this subject and let me focus on Stefan's bug.

comment:33 in reply to: ↑ 24 ; follow-up: Changed 2 years ago by Don-vip

Replying to Don-vip:

It seems the merge operation went bad. The node has not the deleted mask in JOSM, but neither has coordinates... I don't see right now what caused that.

Kind-of reproduced (except the artifacts bug):

  1. Download http://downloads.cloudmade.com/europe/western_europe/austria/wien/wien.osm.bz2 in JOSM (9 Mb)
  2. Download OSM data around way 37700192 into a new layer (area large enough to contain the entire way)
  3. Merge layers
  4. Select data around the downloaded area
  5. Update selection
  6. In my test case, 9 conflicts arise, with one concerning node 442071254
  7. Open conflict manager for this node
  8. Apply "their" deleted state (deleted) to merged version
  9. Exception happens:
    Is-Local-Build: true
    
    Identification: JOSM/1.5 (5348 SVN en)
    Memory Usage: 917 MB / 1816 MB (212 MB allocated, but free)
    Java version: 1.7.0_05, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
    Operating system: Windows 7
    
    Dataset consistency test:
    [DELETED REFERENCED] {Way id=37700195 version=2 D nodes=[{Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071238 version=2 D lat=48.2521574,lon=16.358529}, {Node id=442071239 version=2 D lat=48.2522574,lon=16.3585976}, {Node id=442071227 version=2 D lat=48.2523088,lon=16.3586706}, {Node id=442071241 version=2 D lat=48.2523147,lon=16.3587729}, {Node id=442071240 version=2 D lat=48.2523031,lon=16.3589194}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}]} refers to deleted primitive {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}
    [DELETED REFERENCED] {Way id=37700195 version=2 D nodes=[{Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071238 version=2 D lat=48.2521574,lon=16.358529}, {Node id=442071239 version=2 D lat=48.2522574,lon=16.3585976}, {Node id=442071227 version=2 D lat=48.2523088,lon=16.3586706}, {Node id=442071241 version=2 D lat=48.2523147,lon=16.3587729}, {Node id=442071240 version=2 D lat=48.2523031,lon=16.3589194}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}]} refers to deleted primitive {Node id=442071238 version=2 D lat=48.2521574,lon=16.358529}
    [DELETED REFERENCED] {Way id=37700195 version=2 D nodes=[{Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071238 version=2 D lat=48.2521574,lon=16.358529}, {Node id=442071239 version=2 D lat=48.2522574,lon=16.3585976}, {Node id=442071227 version=2 D lat=48.2523088,lon=16.3586706}, {Node id=442071241 version=2 D lat=48.2523147,lon=16.3587729}, {Node id=442071240 version=2 D lat=48.2523031,lon=16.3589194}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}]} refers to deleted primitive {Node id=442071239 version=2 D lat=48.2522574,lon=16.3585976}
    [DELETED REFERENCED] {Way id=37700195 version=2 D nodes=[{Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071238 version=2 D lat=48.2521574,lon=16.358529}, {Node id=442071239 version=2 D lat=48.2522574,lon=16.3585976}, {Node id=442071227 version=2 D lat=48.2523088,lon=16.3586706}, {Node id=442071241 version=2 D lat=48.2523147,lon=16.3587729}, {Node id=442071240 version=2 D lat=48.2523031,lon=16.3589194}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}]} refers to deleted primitive {Node id=442071227 version=2 D lat=48.2523088,lon=16.3586706}
    [DELETED REFERENCED] {Way id=37700195 version=2 D nodes=[{Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071238 version=2 D lat=48.2521574,lon=16.358529}, {Node id=442071239 version=2 D lat=48.2522574,lon=16.3585976}, {Node id=442071227 version=2 D lat=48.2523088,lon=16.3586706}, {Node id=442071241 version=2 D lat=48.2523147,lon=16.3587729}, {Node id=442071240 version=2 D lat=48.2523031,lon=16.3589194}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}]} refers to deleted primitive {Node id=442071241 version=2 D lat=48.2523147,lon=16.3587729}
    [DELETED REFERENCED] {Way id=37700195 version=2 D nodes=[{Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071238 version=2 D lat=48.2521574,lon=16.358529}, {Node id=442071239 version=2 D lat=48.2522574,lon=16.3585976}, {Node id=442071227 version=2 D lat=48.2523088,lon=16.3586706}, {Node id=442071241 version=2 D lat=48.2523147,lon=16.3587729}, {Node id=442071240 version=2 D lat=48.2523031,lon=16.3589194}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}]} refers to deleted primitive {Node id=442071240 version=2 D lat=48.2523031,lon=16.3589194}
    [DELETED REFERENCED] {Way id=37700195 version=2 D nodes=[{Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071238 version=2 D lat=48.2521574,lon=16.358529}, {Node id=442071239 version=2 D lat=48.2522574,lon=16.3585976}, {Node id=442071227 version=2 D lat=48.2523088,lon=16.3586706}, {Node id=442071241 version=2 D lat=48.2523147,lon=16.3587729}, {Node id=442071240 version=2 D lat=48.2523031,lon=16.3589194}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}]} refers to deleted primitive {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}
    [DELETED REFERENCED] {Way id=37700181 version=2 D nodes=[{Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}, {Node id=442071174 version=2 D lat=48.2536246,lon=16.356929}, {Node id=442071175 version=2 D lat=48.2536265,lon=16.3570865}, {Node id=442071157 version=2 D lat=48.2536312,lon=16.3574661}, {Node id=442071168 version=2 D lat=48.2536705,lon=16.3574654}, {Node id=442071158 version=2 D lat=48.2537793,lon=16.3574634}, {Node id=442071159 version=2 D lat=48.2537757,lon=16.3573233}, {Node id=442071160 version=2 D lat=48.2538305,lon=16.3572547}, {Node id=442071156 version=2 D lat=48.2538235,lon=16.3567848}, {Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}]} refers to deleted primitive {Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}
    [DELETED REFERENCED] {Way id=37700181 version=2 D nodes=[{Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}, {Node id=442071174 version=2 D lat=48.2536246,lon=16.356929}, {Node id=442071175 version=2 D lat=48.2536265,lon=16.3570865}, {Node id=442071157 version=2 D lat=48.2536312,lon=16.3574661}, {Node id=442071168 version=2 D lat=48.2536705,lon=16.3574654}, {Node id=442071158 version=2 D lat=48.2537793,lon=16.3574634}, {Node id=442071159 version=2 D lat=48.2537757,lon=16.3573233}, {Node id=442071160 version=2 D lat=48.2538305,lon=16.3572547}, {Node id=442071156 version=2 D lat=48.2538235,lon=16.3567848}, {Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}]} refers to deleted primitive {Node id=442071174 version=2 D lat=48.2536246,lon=16.356929}
    [DELETED REFERENCED] {Way id=37700181 version=2 D nodes=[{Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}, {Node id=442071174 version=2 D lat=48.2536246,lon=16.356929}, {Node id=442071175 version=2 D lat=48.2536265,lon=16.3570865}, {Node id=442071157 version=2 D lat=48.2536312,lon=16.3574661}, {Node id=442071168 version=2 D lat=48.2536705,lon=16.3574654}, {Node id=442071158 version=2 D lat=48.2537793,lon=16.3574634}, {Node id=442071159 version=2 D lat=48.2537757,lon=16.3573233}, {Node id=442071160 version=2 D lat=48.2538305,lon=16.3572547}, {Node id=442071156 version=2 D lat=48.2538235,lon=16.3567848}, {Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}]} refers to deleted primitive {Node id=442071175 version=2 D lat=48.2536265,lon=16.3570865}
    [DELETED REFERENCED] {Way id=37700181 version=2 D nodes=[{Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}, {Node id=442071174 version=2 D lat=48.2536246,lon=16.356929}, {Node id=442071175 version=2 D lat=48.2536265,lon=16.3570865}, {Node id=442071157 version=2 D lat=48.2536312,lon=16.3574661}, {Node id=442071168 version=2 D lat=48.2536705,lon=16.3574654}, {Node id=442071158 version=2 D lat=48.2537793,lon=16.3574634}, {Node id=442071159 version=2 D lat=48.2537757,lon=16.3573233}, {Node id=442071160 version=2 D lat=48.2538305,lon=16.3572547}, {Node id=442071156 version=2 D lat=48.2538235,lon=16.3567848}, {Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}]} refers to deleted primitive {Node id=442071157 version=2 D lat=48.2536312,lon=16.3574661}
    [DELETED REFERENCED] {Way id=37700181 version=2 D nodes=[{Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}, {Node id=442071174 version=2 D lat=48.2536246,lon=16.356929}, {Node id=442071175 version=2 D lat=48.2536265,lon=16.3570865}, {Node id=442071157 version=2 D lat=48.2536312,lon=16.3574661}, {Node id=442071168 version=2 D lat=48.2536705,lon=16.3574654}, {Node id=442071158 version=2 D lat=48.2537793,lon=16.3574634}, {Node id=442071159 version=2 D lat=48.2537757,lon=16.3573233}, {Node id=442071160 version=2 D lat=48.2538305,lon=16.3572547}, {Node id=442071156 version=2 D lat=48.2538235,lon=16.3567848}, {Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}]} refers to deleted primitive {Node id=442071168 version=2 D lat=48.2536705,lon=16.3574654}
    [DELETED REFERENCED] {Way id=37700181 version=2 D nodes=[{Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}, {Node id=442071174 version=2 D lat=48.2536246,lon=16.356929}, {Node id=442071175 version=2 D lat=48.2536265,lon=16.3570865}, {Node id=442071157 version=2 D lat=48.2536312,lon=16.3574661}, {Node id=442071168 version=2 D lat=48.2536705,lon=16.3574654}, {Node id=442071158 version=2 D lat=48.2537793,lon=16.3574634}, {Node id=442071159 version=2 D lat=48.2537757,lon=16.3573233}, {Node id=442071160 version=2 D lat=48.2538305,lon=16.3572547}, {Node id=442071156 version=2 D lat=48.2538235,lon=16.3567848}, {Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}]} refers to deleted primitive {Node id=442071158 version=2 D lat=48.2537793,lon=16.3574634}
    [DELETED REFERENCED] {Way id=37700181 version=2 D nodes=[{Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}, {Node id=442071174 version=2 D lat=48.2536246,lon=16.356929}, {Node id=442071175 version=2 D lat=48.2536265,lon=16.3570865}, {Node id=442071157 version=2 D lat=48.2536312,lon=16.3574661}, {Node id=442071168 version=2 D lat=48.2536705,lon=16.3574654}, {Node id=442071158 version=2 D lat=48.2537793,lon=16.3574634}, {Node id=442071159 version=2 D lat=48.2537757,lon=16.3573233}, {Node id=442071160 version=2 D lat=48.2538305,lon=16.3572547}, {Node id=442071156 version=2 D lat=48.2538235,lon=16.3567848}, {Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}]} refers to deleted primitive {Node id=442071159 version=2 D lat=48.2537757,lon=16.3573233}
    [DELETED REFERENCED] {Way id=37700181 version=2 D nodes=[{Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}, {Node id=442071174 version=2 D lat=48.2536246,lon=16.356929}, {Node id=442071175 version=2 D lat=48.2536265,lon=16.3570865}, {Node id=442071157 version=2 D lat=48.2536312,lon=16.3574661}, {Node id=442071168 version=2 D lat=48.2536705,lon=16.3574654}, {Node id=442071158 version=2 D lat=48.2537793,lon=16.3574634}, {Node id=442071159 version=2 D lat=48.2537757,lon=16.3573233}, {Node id=442071160 version=2 D lat=48.2538305,lon=16.3572547}, {Node id=442071156 version=2 D lat=48.2538235,lon=16.3567848}, {Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}]} refers to deleted primitive {Node id=442071160 version=2 D lat=48.2538305,lon=16.3572547}
    [DELETED REFERENCED] {Way id=37700181 version=2 D nodes=[{Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}, {Node id=442071174 version=2 D lat=48.2536246,lon=16.356929}, {Node id=442071175 version=2 D lat=48.2536265,lon=16.3570865}, {Node id=442071157 version=2 D lat=48.2536312,lon=16.3574661}, {Node id=442071168 version=2 D lat=48.2536705,lon=16.3574654}, {Node id=442071158 version=2 D lat=48.2537793,lon=16.3574634}, {Node id=442071159 version=2 D lat=48.2537757,lon=16.3573233}, {Node id=442071160 version=2 D lat=48.2538305,lon=16.3572547}, {Node id=442071156 version=2 D lat=48.2538235,lon=16.3567848}, {Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}]} refers to deleted primitive {Node id=442071156 version=2 D lat=48.2538235,lon=16.3567848}
    [DELETED REFERENCED] {Way id=37700181 version=2 D nodes=[{Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}, {Node id=442071174 version=2 D lat=48.2536246,lon=16.356929}, {Node id=442071175 version=2 D lat=48.2536265,lon=16.3570865}, {Node id=442071157 version=2 D lat=48.2536312,lon=16.3574661}, {Node id=442071168 version=2 D lat=48.2536705,lon=16.3574654}, {Node id=442071158 version=2 D lat=48.2537793,lon=16.3574634}, {Node id=442071159 version=2 D lat=48.2537757,lon=16.3573233}, {Node id=442071160 version=2 D lat=48.2538305,lon=16.3572547}, {Node id=442071156 version=2 D lat=48.2538235,lon=16.3567848}, {Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}]} refers to deleted primitive {Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}
    [DELETED REFERENCED] {Way id=37700191 version=2 D nodes=[{Node id=442071201 version=2 D lat=48.2531135,lon=16.3593594}, {Node id=442071202 version=2 D lat=48.2530564,lon=16.3595653}, {Node id=442071203 version=2 D lat=48.2531649,lon=16.359634}, {Node id=442071204 version=2 D lat=48.2531363,lon=16.3597198}]} refers to deleted primitive {Node id=442071201 version=2 D lat=48.2531135,lon=16.3593594}
    [DELETED REFERENCED] {Way id=37700191 version=2 D nodes=[{Node id=442071201 version=2 D lat=48.2531135,lon=16.3593594}, {Node id=442071202 version=2 D lat=48.2530564,lon=16.3595653}, {Node id=442071203 version=2 D lat=48.2531649,lon=16.359634}, {Node id=442071204 version=2 D lat=48.2531363,lon=16.3597198}]} refers to deleted primitive {Node id=442071202 version=2 D lat=48.2530564,lon=16.3595653}
    [DELETED REFERENCED] {Way id=37700191 version=2 D nodes=[{Node id=442071201 version=2 D lat=48.2531135,lon=16.3593594}, {Node id=442071202 version=2 D lat=48.2530564,lon=16.3595653}, {Node id=442071203 version=2 D lat=48.2531649,lon=16.359634}, {Node id=442071204 version=2 D lat=48.2531363,lon=16.3597198}]} refers to deleted primitive {Node id=442071203 version=2 D lat=48.2531649,lon=16.359634}
    [DELETED REFERENCED] {Way id=37700191 version=2 D nodes=[{Node id=442071201 version=2 D lat=48.2531135,lon=16.3593594}, {Node id=442071202 version=2 D lat=48.2530564,lon=16.3595653}, {Node id=442071203 version=2 D lat=48.2531649,lon=16.359634}, {Node id=442071204 version=2 D lat=48.2531363,lon=16.3597198}]} refers to deleted primitive {Node id=442071204 version=2 D lat=48.2531363,lon=16.3597198}
    [DELETED REFERENCED] {Way id=29497926 version=5 D nodes=[{Node id=61671034 version=11 VT lat=48.2537694,lon=16.3647187}, {Node id=325156561 version=8 V lat=48.2539937,lon=16.3649739}, {Node id=325156555 version=4 V lat=48.254259,lon=16.3652698}, {Node id=325156552 version=5 D lat=48.2545636,lon=16.365391}, {Node id=61671032 version=10 V lat=48.2547971,lon=16.365497}]} refers to deleted primitive {Node id=325156552 version=5 D lat=48.2545636,lon=16.365391}
    [DELETED REFERENCED] {Way id=37700171 version=2 D nodes=[{Node id=442071114 version=2 D lat=48.2528285,lon=16.3556494}, {Node id=442071115 version=2 D lat=48.2529068,lon=16.3556538}]} refers to deleted primitive {Node id=442071114 version=2 D lat=48.2528285,lon=16.3556494}
    [DELETED REFERENCED] {Way id=37700171 version=2 D nodes=[{Node id=442071114 version=2 D lat=48.2528285,lon=16.3556494}, {Node id=442071115 version=2 D lat=48.2529068,lon=16.3556538}]} refers to deleted primitive {Node id=442071115 version=2 D lat=48.2529068,lon=16.3556538}
    [DELETED REFERENCED] {Way id=37700194 version=2 D nodes=[{Node id=442071191 version=2 D lat=48.2512737,lon=16.3577934}, {Node id=442071235 version=2 D lat=48.2515031,lon=16.3578082}, {Node id=442071236 version=2 D lat=48.2517003,lon=16.3577867}, {Node id=442071232 version=2 D lat=48.251906,lon=16.3577395}, {Node id=442071245 version=2 D lat=48.2520063,lon=16.357773}]} refers to deleted primitive {Node id=442071191 version=2 D lat=48.2512737,lon=16.3577934}
    [DELETED REFERENCED] {Way id=37700194 version=2 D nodes=[{Node id=442071191 version=2 D lat=48.2512737,lon=16.3577934}, {Node id=442071235 version=2 D lat=48.2515031,lon=16.3578082}, {Node id=442071236 version=2 D lat=48.2517003,lon=16.3577867}, {Node id=442071232 version=2 D lat=48.251906,lon=16.3577395}, {Node id=442071245 version=2 D lat=48.2520063,lon=16.357773}]} refers to deleted primitive {Node id=442071235 version=2 D lat=48.2515031,lon=16.3578082}
    [DELETED REFERENCED] {Way id=37700194 version=2 D nodes=[{Node id=442071191 version=2 D lat=48.2512737,lon=16.3577934}, {Node id=442071235 version=2 D lat=48.2515031,lon=16.3578082}, {Node id=442071236 version=2 D lat=48.2517003,lon=16.3577867}, {Node id=442071232 version=2 D lat=48.251906,lon=16.3577395}, {Node id=442071245 version=2 D lat=48.2520063,lon=16.357773}]} refers to deleted primitive {Node id=442071236 version=2 D lat=48.2517003,lon=16.3577867}
    [DELETED REFERENCED] {Way id=37700194 version=2 D nodes=[{Node id=442071191 version=2 D lat=48.2512737,lon=16.3577934}, {Node id=442071235 version=2 D lat=48.2515031,lon=16.3578082}, {Node id=442071236 version=2 D lat=48.2517003,lon=16.3577867}, {Node id=442071232 version=2 D lat=48.251906,lon=16.3577395}, {Node id=442071245 version=2 D lat=48.2520063,lon=16.357773}]} refers to deleted primitive {Node id=442071232 version=2 D lat=48.251906,lon=16.3577395}
    [DELETED REFERENCED] {Way id=37700194 version=2 D nodes=[{Node id=442071191 version=2 D lat=48.2512737,lon=16.3577934}, {Node id=442071235 version=2 D lat=48.2515031,lon=16.3578082}, {Node id=442071236 version=2 D lat=48.2517003,lon=16.3577867}, {Node id=442071232 version=2 D lat=48.251906,lon=16.3577395}, {Node id=442071245 version=2 D lat=48.2520063,lon=16.357773}]} refers to deleted primitive {Node id=442071245 version=2 D lat=48.2520063,lon=16.357773}
    [DELETED REFERENCED] {Way id=37700180 version=2 D nodes=[{Node id=442071149 version=2 D lat=48.25382,lon=16.3565266}, {Node id=442071150 version=2 D lat=48.253618,lon=16.3565328}, {Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}, {Node id=442071156 version=2 D lat=48.2538235,lon=16.3567848}, {Node id=442071149 version=2 D lat=48.25382,lon=16.3565266}]} refers to deleted primitive {Node id=442071149 version=2 D lat=48.25382,lon=16.3565266}
    [DELETED REFERENCED] {Way id=37700180 version=2 D nodes=[{Node id=442071149 version=2 D lat=48.25382,lon=16.3565266}, {Node id=442071150 version=2 D lat=48.253618,lon=16.3565328}, {Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}, {Node id=442071156 version=2 D lat=48.2538235,lon=16.3567848}, {Node id=442071149 version=2 D lat=48.25382,lon=16.3565266}]} refers to deleted primitive {Node id=442071150 version=2 D lat=48.253618,lon=16.3565328}
    [DELETED REFERENCED] {Way id=37700180 version=2 D nodes=[{Node id=442071149 version=2 D lat=48.25382,lon=16.3565266}, {Node id=442071150 version=2 D lat=48.253618,lon=16.3565328}, {Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}, {Node id=442071156 version=2 D lat=48.2538235,lon=16.3567848}, {Node id=442071149 version=2 D lat=48.25382,lon=16.3565266}]} refers to deleted primitive {Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}
    [DELETED REFERENCED] {Way id=37700180 version=2 D nodes=[{Node id=442071149 version=2 D lat=48.25382,lon=16.3565266}, {Node id=442071150 version=2 D lat=48.253618,lon=16.3565328}, {Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}, {Node id=442071156 version=2 D lat=48.2538235,lon=16.3567848}, {Node id=442071149 version=2 D lat=48.25382,lon=16.3565266}]} refers to deleted primitive {Node id=442071156 version=2 D lat=48.2538235,lon=16.3567848}
    [DELETED REFERENCED] {Way id=37700180 version=2 D nodes=[{Node id=442071149 version=2 D lat=48.25382,lon=16.3565266}, {Node id=442071150 version=2 D lat=48.253618,lon=16.3565328}, {Node id=442071151 version=2 D lat=48.2536215,lon=16.3567909}, {Node id=442071156 version=2 D lat=48.2538235,lon=16.3567848}, {Node id=442071149 version=2 D lat=48.25382,lon=16.3565266}]} refers to deleted primitive {Node id=442071149 version=2 D lat=48.25382,lon=16.3565266}
    [DELETED REFERENCED] {Way id=37700170 version=2 D nodes=[{Node id=442071117 version=2 D lat=48.2532561,lon=16.3557877}, {Node id=442071118 version=2 D lat=48.2534265,lon=16.3558222}, {Node id=442071119 version=2 D lat=48.253522,lon=16.3558481}, {Node id=442071120 version=2 D lat=48.2536905,lon=16.3559395}]} refers to deleted primitive {Node id=442071117 version=2 D lat=48.2532561,lon=16.3557877}
    [DELETED REFERENCED] {Way id=37700170 version=2 D nodes=[{Node id=442071117 version=2 D lat=48.2532561,lon=16.3557877}, {Node id=442071118 version=2 D lat=48.2534265,lon=16.3558222}, {Node id=442071119 version=2 D lat=48.253522,lon=16.3558481}, {Node id=442071120 version=2 D lat=48.2536905,lon=16.3559395}]} refers to deleted primitive {Node id=442071118 version=2 D lat=48.2534265,lon=16.3558222}
    [DELETED REFERENCED] {Way id=37700170 version=2 D nodes=[{Node id=442071117 version=2 D lat=48.2532561,lon=16.3557877}, {Node id=442071118 version=2 D lat=48.2534265,lon=16.3558222}, {Node id=442071119 version=2 D lat=48.253522,lon=16.3558481}, {Node id=442071120 version=2 D lat=48.2536905,lon=16.3559395}]} refers to deleted primitive {Node id=442071119 version=2 D lat=48.253522,lon=16.3558481}
    [DELETED REFERENCED] {Way id=37700170 version=2 D nodes=[{Node id=442071117 version=2 D lat=48.2532561,lon=16.3557877}, {Node id=442071118 version=2 D lat=48.2534265,lon=16.3558222}, {Node id=442071119 version=2 D lat=48.253522,lon=16.3558481}, {Node id=442071120 version=2 D lat=48.2536905,lon=16.3559395}]} refers to deleted primitive {Node id=442071120 version=2 D lat=48.2536905,lon=16.3559395}
    [DELETED REFERENCED] {Way id=37700213 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071196 version=2 D lat=48.2517908,lon=16.3582095}, {Node id=442071197 version=2 D lat=48.2516222,lon=16.3583297}, {Node id=442071302 version=2 D lat=48.2514441,lon=16.358402}, {Node id=442071189 version=2 D lat=48.2513594,lon=16.3584069}, {Node id=442071304 version=2 D lat=48.2514475,lon=16.3587679}, {Node id=442071305 version=2 D lat=48.2515535,lon=16.3590837}, {Node id=442071306 version=2 D lat=48.2516716,lon=16.3594048}, {Node id=442071307 version=2 D lat=48.2518493,lon=16.3595745}, {Node id=442071308 version=2 D lat=48.2520459,lon=16.3596261}, {Node id=442071188 version=2 D lat=48.2522536,lon=16.359531}, {Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}]} refers to deleted primitive {Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}
    [DELETED REFERENCED] {Way id=37700213 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071196 version=2 D lat=48.2517908,lon=16.3582095}, {Node id=442071197 version=2 D lat=48.2516222,lon=16.3583297}, {Node id=442071302 version=2 D lat=48.2514441,lon=16.358402}, {Node id=442071189 version=2 D lat=48.2513594,lon=16.3584069}, {Node id=442071304 version=2 D lat=48.2514475,lon=16.3587679}, {Node id=442071305 version=2 D lat=48.2515535,lon=16.3590837}, {Node id=442071306 version=2 D lat=48.2516716,lon=16.3594048}, {Node id=442071307 version=2 D lat=48.2518493,lon=16.3595745}, {Node id=442071308 version=2 D lat=48.2520459,lon=16.3596261}, {Node id=442071188 version=2 D lat=48.2522536,lon=16.359531}, {Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}]} refers to deleted primitive {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}
    [DELETED REFERENCED] {Way id=37700213 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071196 version=2 D lat=48.2517908,lon=16.3582095}, {Node id=442071197 version=2 D lat=48.2516222,lon=16.3583297}, {Node id=442071302 version=2 D lat=48.2514441,lon=16.358402}, {Node id=442071189 version=2 D lat=48.2513594,lon=16.3584069}, {Node id=442071304 version=2 D lat=48.2514475,lon=16.3587679}, {Node id=442071305 version=2 D lat=48.2515535,lon=16.3590837}, {Node id=442071306 version=2 D lat=48.2516716,lon=16.3594048}, {Node id=442071307 version=2 D lat=48.2518493,lon=16.3595745}, {Node id=442071308 version=2 D lat=48.2520459,lon=16.3596261}, {Node id=442071188 version=2 D lat=48.2522536,lon=16.359531}, {Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}]} refers to deleted primitive {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}
    [DELETED REFERENCED] {Way id=37700213 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071196 version=2 D lat=48.2517908,lon=16.3582095}, {Node id=442071197 version=2 D lat=48.2516222,lon=16.3583297}, {Node id=442071302 version=2 D lat=48.2514441,lon=16.358402}, {Node id=442071189 version=2 D lat=48.2513594,lon=16.3584069}, {Node id=442071304 version=2 D lat=48.2514475,lon=16.3587679}, {Node id=442071305 version=2 D lat=48.2515535,lon=16.3590837}, {Node id=442071306 version=2 D lat=48.2516716,lon=16.3594048}, {Node id=442071307 version=2 D lat=48.2518493,lon=16.3595745}, {Node id=442071308 version=2 D lat=48.2520459,lon=16.3596261}, {Node id=442071188 version=2 D lat=48.2522536,lon=16.359531}, {Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}]} refers to deleted primitive {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}
    [DELETED REFERENCED] {Way id=37700213 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071196 version=2 D lat=48.2517908,lon=16.3582095}, {Node id=442071197 version=2 D lat=48.2516222,lon=16.3583297}, {Node id=442071302 version=2 D lat=48.2514441,lon=16.358402}, {Node id=442071189 version=2 D lat=48.2513594,lon=16.3584069}, {Node id=442071304 version=2 D lat=48.2514475,lon=16.3587679}, {Node id=442071305 version=2 D lat=48.2515535,lon=16.3590837}, {Node id=442071306 version=2 D lat=48.2516716,lon=16.3594048}, {Node id=442071307 version=2 D lat=48.2518493,lon=16.3595745}, {Node id=442071308 version=2 D lat=48.2520459,lon=16.3596261}, {Node id=442071188 version=2 D lat=48.2522536,lon=16.359531}, {Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}]} refers to deleted primitive {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}
    [DELETED REFERENCED] {Way id=37700213 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071196 version=2 D lat=48.2517908,lon=16.3582095}, {Node id=442071197 version=2 D lat=48.2516222,lon=16.3583297}, {Node id=442071302 version=2 D lat=48.2514441,lon=16.358402}, {Node id=442071189 version=2 D lat=48.2513594,lon=16.3584069}, {Node id=442071304 version=2 D lat=48.2514475,lon=16.3587679}, {Node id=442071305 version=2 D lat=48.2515535,lon=16.3590837}, {Node id=442071306 version=2 D lat=48.2516716,lon=16.3594048}, {Node id=442071307 version=2 D lat=48.2518493,lon=16.3595745}, {Node id=442071308 version=2 D lat=48.2520459,lon=16.3596261}, {Node id=442071188 version=2 D lat=48.2522536,lon=16.359531}, {Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}]} refers to deleted primitive {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}
    [DELETED REFERENCED] {Way id=37700213 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071196 version=2 D lat=48.2517908,lon=16.3582095}, {Node id=442071197 version=2 D lat=48.2516222,lon=16.3583297}, {Node id=442071302 version=2 D lat=48.2514441,lon=16.358402}, {Node id=442071189 version=2 D lat=48.2513594,lon=16.3584069}, {Node id=442071304 version=2 D lat=48.2514475,lon=16.3587679}, {Node id=442071305 version=2 D lat=48.2515535,lon=16.3590837}, {Node id=442071306 version=2 D lat=48.2516716,lon=16.3594048}, {Node id=442071307 version=2 D lat=48.2518493,lon=16.3595745}, {Node id=442071308 version=2 D lat=48.2520459,lon=16.3596261}, {Node id=442071188 version=2 D lat=48.2522536,lon=16.359531}, {Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}]} refers to deleted primitive {Node id=442071196 version=2 D lat=48.2517908,lon=16.3582095}
    [DELETED REFERENCED] {Way id=37700213 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071196 version=2 D lat=48.2517908,lon=16.3582095}, {Node id=442071197 version=2 D lat=48.2516222,lon=16.3583297}, {Node id=442071302 version=2 D lat=48.2514441,lon=16.358402}, {Node id=442071189 version=2 D lat=48.2513594,lon=16.3584069}, {Node id=442071304 version=2 D lat=48.2514475,lon=16.3587679}, {Node id=442071305 version=2 D lat=48.2515535,lon=16.3590837}, {Node id=442071306 version=2 D lat=48.2516716,lon=16.3594048}, {Node id=442071307 version=2 D lat=48.2518493,lon=16.3595745}, {Node id=442071308 version=2 D lat=48.2520459,lon=16.3596261}, {Node id=442071188 version=2 D lat=48.2522536,lon=16.359531}, {Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}]} refers to deleted primitive {Node id=442071197 version=2 D lat=48.2516222,lon=16.3583297}
    [DELETED REFERENCED] {Way id=37700213 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071196 version=2 D lat=48.2517908,lon=16.3582095}, {Node id=442071197 version=2 D lat=48.2516222,lon=16.3583297}, {Node id=442071302 version=2 D lat=48.2514441,lon=16.358402}, {Node id=442071189 version=2 D lat=48.2513594,lon=16.3584069}, {Node id=442071304 version=2 D lat=48.2514475,lon=16.3587679}, {Node id=442071305 version=2 D lat=48.2515535,lon=16.3590837}, {Node id=442071306 version=2 D lat=48.2516716,lon=16.3594048}, {Node id=442071307 version=2 D lat=48.2518493,lon=16.3595745}, {Node id=442071308 version=2 D lat=48.2520459,lon=16.3596261}, {Node id=442071188 version=2 D lat=48.2522536,lon=16.359531}, {Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}]} refers to deleted primitive {Node id=442071302 version=2 D lat=48.2514441,lon=16.358402}
    [DELETED REFERENCED] {Way id=37700213 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071196 version=2 D lat=48.2517908,lon=16.3582095}, {Node id=442071197 version=2 D lat=48.2516222,lon=16.3583297}, {Node id=442071302 version=2 D lat=48.2514441,lon=16.358402}, {Node id=442071189 version=2 D lat=48.2513594,lon=16.3584069}, {Node id=442071304 version=2 D lat=48.2514475,lon=16.3587679}, {Node id=442071305 version=2 D lat=48.2515535,lon=16.3590837}, {Node id=442071306 version=2 D lat=48.2516716,lon=16.3594048}, {Node id=442071307 version=2 D lat=48.2518493,lon=16.3595745}, {Node id=442071308 version=2 D lat=48.2520459,lon=16.3596261}, {Node id=442071188 version=2 D lat=48.2522536,lon=16.359531}, {Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}]} refers to deleted primitive {Node id=442071189 version=2 D lat=48.2513594,lon=16.3584069}
    [DELETED REFERENCED] {Way id=37700213 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071196 version=2 D lat=48.2517908,lon=16.3582095}, {Node id=442071197 version=2 D lat=48.2516222,lon=16.3583297}, {Node id=442071302 version=2 D lat=48.2514441,lon=16.358402}, {Node id=442071189 version=2 D lat=48.2513594,lon=16.3584069}, {Node id=442071304 version=2 D lat=48.2514475,lon=16.3587679}, {Node id=442071305 version=2 D lat=48.2515535,lon=16.3590837}, {Node id=442071306 version=2 D lat=48.2516716,lon=16.3594048}, {Node id=442071307 version=2 D lat=48.2518493,lon=16.3595745}, {Node id=442071308 version=2 D lat=48.2520459,lon=16.3596261}, {Node id=442071188 version=2 D lat=48.2522536,lon=16.359531}, {Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}]} refers to deleted primitive {Node id=442071304 version=2 D lat=48.2514475,lon=16.3587679}
    [DELETED REFERENCED] {Way id=37700213 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071196 version=2 D lat=48.2517908,lon=16.3582095}, {Node id=442071197 version=2 D lat=48.2516222,lon=16.3583297}, {Node id=442071302 version=2 D lat=48.2514441,lon=16.358402}, {Node id=442071189 version=2 D lat=48.2513594,lon=16.3584069}, {Node id=442071304 version=2 D lat=48.2514475,lon=16.3587679}, {Node id=442071305 version=2 D lat=48.2515535,lon=16.3590837}, {Node id=442071306 version=2 D lat=48.2516716,lon=16.3594048}, {Node id=442071307 version=2 D lat=48.2518493,lon=16.3595745}, {Node id=442071308 version=2 D lat=48.2520459,lon=16.3596261}, {Node id=442071188 version=2 D lat=48.2522536,lon=16.359531}, {Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}]} refers to deleted primitive {Node id=442071305 version=2 D lat=48.2515535,lon=16.3590837}
    [DELETED REFERENCED] {Way id=37700213 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071196 version=2 D lat=48.2517908,lon=16.3582095}, {Node id=442071197 version=2 D lat=48.2516222,lon=16.3583297}, {Node id=442071302 version=2 D lat=48.2514441,lon=16.358402}, {Node id=442071189 version=2 D lat=48.2513594,lon=16.3584069}, {Node id=442071304 version=2 D lat=48.2514475,lon=16.3587679}, {Node id=442071305 version=2 D lat=48.2515535,lon=16.3590837}, {Node id=442071306 version=2 D lat=48.2516716,lon=16.3594048}, {Node id=442071307 version=2 D lat=48.2518493,lon=16.3595745}, {Node id=442071308 version=2 D lat=48.2520459,lon=16.3596261}, {Node id=442071188 version=2 D lat=48.2522536,lon=16.359531}, {Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}]} refers to deleted primitive {Node id=442071306 version=2 D lat=48.2516716,lon=16.3594048}
    [DELETED REFERENCED] {Way id=37700213 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071196 version=2 D lat=48.2517908,lon=16.3582095}, {Node id=442071197 version=2 D lat=48.2516222,lon=16.3583297}, {Node id=442071302 version=2 D lat=48.2514441,lon=16.358402}, {Node id=442071189 version=2 D lat=48.2513594,lon=16.3584069}, {Node id=442071304 version=2 D lat=48.2514475,lon=16.3587679}, {Node id=442071305 version=2 D lat=48.2515535,lon=16.3590837}, {Node id=442071306 version=2 D lat=48.2516716,lon=16.3594048}, {Node id=442071307 version=2 D lat=48.2518493,lon=16.3595745}, {Node id=442071308 version=2 D lat=48.2520459,lon=16.3596261}, {Node id=442071188 version=2 D lat=48.2522536,lon=16.359531}, {Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}]} refers to deleted primitive {Node id=442071307 version=2 D lat=48.2518493,lon=16.3595745}
    [DELETED REFERENCED] {Way id=37700213 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071196 version=2 D lat=48.2517908,lon=16.3582095}, {Node id=442071197 version=2 D lat=48.2516222,lon=16.3583297}, {Node id=442071302 version=2 D lat=48.2514441,lon=16.358402}, {Node id=442071189 version=2 D lat=48.2513594,lon=16.3584069}, {Node id=442071304 version=2 D lat=48.2514475,lon=16.3587679}, {Node id=442071305 version=2 D lat=48.2515535,lon=16.3590837}, {Node id=442071306 version=2 D lat=48.2516716,lon=16.3594048}, {Node id=442071307 version=2 D lat=48.2518493,lon=16.3595745}, {Node id=442071308 version=2 D lat=48.2520459,lon=16.3596261}, {Node id=442071188 version=2 D lat=48.2522536,lon=16.359531}, {Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}]} refers to deleted primitive {Node id=442071308 version=2 D lat=48.2520459,lon=16.3596261}
    [DELETED REFERENCED] {Way id=37700213 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071196 version=2 D lat=48.2517908,lon=16.3582095}, {Node id=442071197 version=2 D lat=48.2516222,lon=16.3583297}, {Node id=442071302 version=2 D lat=48.2514441,lon=16.358402}, {Node id=442071189 version=2 D lat=48.2513594,lon=16.3584069}, {Node id=442071304 version=2 D lat=48.2514475,lon=16.3587679}, {Node id=442071305 version=2 D lat=48.2515535,lon=16.3590837}, {Node id=442071306 version=2 D lat=48.2516716,lon=16.3594048}, {Node id=442071307 version=2 D lat=48.2518493,lon=16.3595745}, {Node id=442071308 version=2 D lat=48.2520459,lon=16.3596261}, {Node id=442071188 version=2 D lat=48.2522536,lon=16.359531}, {Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}]} refers to deleted primitive {Node id=442071188 version=2 D lat=48.2522536,lon=16.359531}
    [DELETED REFERENCED] {Way id=37700213 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071196 version=2 D lat=48.2517908,lon=16.3582095}, {Node id=442071197 version=2 D lat=48.2516222,lon=16.3583297}, {Node id=442071302 version=2 D lat=48.2514441,lon=16.358402}, {Node id=442071189 version=2 D lat=48.2513594,lon=16.3584069}, {Node id=442071304 version=2 D lat=48.2514475,lon=16.3587679}, {Node id=442071305 version=2 D lat=48.2515535,lon=16.3590837}, {Node id=442071306 version=2 D lat=48.2516716,lon=16.3594048}, {Node id=442071307 version=2 D lat=48.2518493,lon=16.3595745}, {Node id=442071308 version=2 D lat=48.2520459,lon=16.3596261}, {Node id=442071188 version=2 D lat=48.2522536,lon=16.359531}, {Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}]} refers to deleted primitive {Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}
    [DELETED REFERENCED] {Way id=37707388 version=2 D nodes=[{Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442147850 version=2 D lat=48.2531183,lon=16.3603596}, {Node id=442147851 version=2 D lat=48.2530002,lon=16.3604749}, {Node id=442147852 version=2 D lat=48.2528673,lon=16.3605636}, {Node id=442147854 version=2 D lat=48.2527108,lon=16.3606523}, {Node id=442147856 version=2 D lat=48.2525779,lon=16.3607011}, {Node id=442147858 version=2 D lat=48.2524982,lon=16.3607632}, {Node id=442071268 version=2 D lat=48.2524535,lon=16.3608656}]} refers to deleted primitive {Node id=442071210 version=2 D lat=48.253222,lon=16.360239}
    [DELETED REFERENCED] {Way id=37707388 version=2 D nodes=[{Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442147850 version=2 D lat=48.2531183,lon=16.3603596}, {Node id=442147851 version=2 D lat=48.2530002,lon=16.3604749}, {Node id=442147852 version=2 D lat=48.2528673,lon=16.3605636}, {Node id=442147854 version=2 D lat=48.2527108,lon=16.3606523}, {Node id=442147856 version=2 D lat=48.2525779,lon=16.3607011}, {Node id=442147858 version=2 D lat=48.2524982,lon=16.3607632}, {Node id=442071268 version=2 D lat=48.2524535,lon=16.3608656}]} refers to deleted primitive {Node id=442147850 version=2 D lat=48.2531183,lon=16.3603596}
    [DELETED REFERENCED] {Way id=37707388 version=2 D nodes=[{Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442147850 version=2 D lat=48.2531183,lon=16.3603596}, {Node id=442147851 version=2 D lat=48.2530002,lon=16.3604749}, {Node id=442147852 version=2 D lat=48.2528673,lon=16.3605636}, {Node id=442147854 version=2 D lat=48.2527108,lon=16.3606523}, {Node id=442147856 version=2 D lat=48.2525779,lon=16.3607011}, {Node id=442147858 version=2 D lat=48.2524982,lon=16.3607632}, {Node id=442071268 version=2 D lat=48.2524535,lon=16.3608656}]} refers to deleted primitive {Node id=442147851 version=2 D lat=48.2530002,lon=16.3604749}
    [DELETED REFERENCED] {Way id=37707388 version=2 D nodes=[{Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442147850 version=2 D lat=48.2531183,lon=16.3603596}, {Node id=442147851 version=2 D lat=48.2530002,lon=16.3604749}, {Node id=442147852 version=2 D lat=48.2528673,lon=16.3605636}, {Node id=442147854 version=2 D lat=48.2527108,lon=16.3606523}, {Node id=442147856 version=2 D lat=48.2525779,lon=16.3607011}, {Node id=442147858 version=2 D lat=48.2524982,lon=16.3607632}, {Node id=442071268 version=2 D lat=48.2524535,lon=16.3608656}]} refers to deleted primitive {Node id=442147852 version=2 D lat=48.2528673,lon=16.3605636}
    [DELETED REFERENCED] {Way id=37707388 version=2 D nodes=[{Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442147850 version=2 D lat=48.2531183,lon=16.3603596}, {Node id=442147851 version=2 D lat=48.2530002,lon=16.3604749}, {Node id=442147852 version=2 D lat=48.2528673,lon=16.3605636}, {Node id=442147854 version=2 D lat=48.2527108,lon=16.3606523}, {Node id=442147856 version=2 D lat=48.2525779,lon=16.3607011}, {Node id=442147858 version=2 D lat=48.2524982,lon=16.3607632}, {Node id=442071268 version=2 D lat=48.2524535,lon=16.3608656}]} refers to deleted primitive {Node id=442147854 version=2 D lat=48.2527108,lon=16.3606523}
    [DELETED REFERENCED] {Way id=37707388 version=2 D nodes=[{Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442147850 version=2 D lat=48.2531183,lon=16.3603596}, {Node id=442147851 version=2 D lat=48.2530002,lon=16.3604749}, {Node id=442147852 version=2 D lat=48.2528673,lon=16.3605636}, {Node id=442147854 version=2 D lat=48.2527108,lon=16.3606523}, {Node id=442147856 version=2 D lat=48.2525779,lon=16.3607011}, {Node id=442147858 version=2 D lat=48.2524982,lon=16.3607632}, {Node id=442071268 version=2 D lat=48.2524535,lon=16.3608656}]} refers to deleted primitive {Node id=442147856 version=2 D lat=48.2525779,lon=16.3607011}
    [DELETED REFERENCED] {Way id=37707388 version=2 D nodes=[{Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442147850 version=2 D lat=48.2531183,lon=16.3603596}, {Node id=442147851 version=2 D lat=48.2530002,lon=16.3604749}, {Node id=442147852 version=2 D lat=48.2528673,lon=16.3605636}, {Node id=442147854 version=2 D lat=48.2527108,lon=16.3606523}, {Node id=442147856 version=2 D lat=48.2525779,lon=16.3607011}, {Node id=442147858 version=2 D lat=48.2524982,lon=16.3607632}, {Node id=442071268 version=2 D lat=48.2524535,lon=16.3608656}]} refers to deleted primitive {Node id=442147858 version=2 D lat=48.2524982,lon=16.3607632}
    [DELETED REFERENCED] {Way id=37707388 version=2 D nodes=[{Node id=442071210 version=2 D lat=48.253222,lon=16.360239}, {Node id=442147850 version=2 D lat=48.2531183,lon=16.3603596}, {Node id=442147851 version=2 D lat=48.2530002,lon=16.3604749}, {Node id=442147852 version=2 D lat=48.2528673,lon=16.3605636}, {Node id=442147854 version=2 D lat=48.2527108,lon=16.3606523}, {Node id=442147856 version=2 D lat=48.2525779,lon=16.3607011}, {Node id=442147858 version=2 D lat=48.2524982,lon=16.3607632}, {Node id=442071268 version=2 D lat=48.2524535,lon=16.3608656}]} refers to deleted primitive {Node id=442071268 version=2 D lat=48.2524535,lon=16.3608656}
    [DELETED REFERENCED] {Way id=37700193 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071231 version=2 D lat=48.2519231,lon=16.357924}, {Node id=442071232 version=2 D lat=48.251906,lon=16.3577395}, {Node id=442071234 version=2 D lat=48.2518793,lon=16.3573666}]} refers to deleted primitive {Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}
    [DELETED REFERENCED] {Way id=37700193 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071231 version=2 D lat=48.2519231,lon=16.357924}, {Node id=442071232 version=2 D lat=48.251906,lon=16.3577395}, {Node id=442071234 version=2 D lat=48.2518793,lon=16.3573666}]} refers to deleted primitive {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}
    [DELETED REFERENCED] {Way id=37700193 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071231 version=2 D lat=48.2519231,lon=16.357924}, {Node id=442071232 version=2 D lat=48.251906,lon=16.3577395}, {Node id=442071234 version=2 D lat=48.2518793,lon=16.3573666}]} refers to deleted primitive {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}
    [DELETED REFERENCED] {Way id=37700193 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071231 version=2 D lat=48.2519231,lon=16.357924}, {Node id=442071232 version=2 D lat=48.251906,lon=16.3577395}, {Node id=442071234 version=2 D lat=48.2518793,lon=16.3573666}]} refers to deleted primitive {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}
    [DELETED REFERENCED] {Way id=37700193 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071231 version=2 D lat=48.2519231,lon=16.357924}, {Node id=442071232 version=2 D lat=48.251906,lon=16.3577395}, {Node id=442071234 version=2 D lat=48.2518793,lon=16.3573666}]} refers to deleted primitive {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}
    [DELETED REFERENCED] {Way id=37700193 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071231 version=2 D lat=48.2519231,lon=16.357924}, {Node id=442071232 version=2 D lat=48.251906,lon=16.3577395}, {Node id=442071234 version=2 D lat=48.2518793,lon=16.3573666}]} refers to deleted primitive {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}
    [DELETED REFERENCED] {Way id=37700193 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071231 version=2 D lat=48.2519231,lon=16.357924}, {Node id=442071232 version=2 D lat=48.251906,lon=16.3577395}, {Node id=442071234 version=2 D lat=48.2518793,lon=16.3573666}]} refers to deleted primitive {Node id=442071231 version=2 D lat=48.2519231,lon=16.357924}
    [DELETED REFERENCED] {Way id=37700193 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071231 version=2 D lat=48.2519231,lon=16.357924}, {Node id=442071232 version=2 D lat=48.251906,lon=16.3577395}, {Node id=442071234 version=2 D lat=48.2518793,lon=16.3573666}]} refers to deleted primitive {Node id=442071232 version=2 D lat=48.251906,lon=16.3577395}
    [DELETED REFERENCED] {Way id=37700193 version=2 D nodes=[{Node id=442071298 version=2 D lat=48.2524334,lon=16.35936}, {Node id=442071299 version=2 D lat=48.2523262,lon=16.3592557}, {Node id=442071229 version=2 D lat=48.2522174,lon=16.3590482}, {Node id=442071230 version=2 D lat=48.2520974,lon=16.3588594}, {Node id=442071301 version=2 D lat=48.2520178,lon=16.3585646}, {Node id=442071195 version=2 D lat=48.2519622,lon=16.3581666}, {Node id=442071231 version=2 D lat=48.2519231,lon=16.357924}, {Node id=442071232 version=2 D lat=48.251906,lon=16.3577395}, {Node id=442071234 version=2 D lat=48.2518793,lon=16.3573666}]} refers to deleted primitive {Node id=442071234 version=2 D lat=48.2518793,lon=16.3573666}
    [DELETED REFERENCED] {Way id=37700203 version=2 D nodes=[{Node id=442071274 version=2 D lat=48.2521884,lon=16.3625887}, {Node id=442071275 version=2 D lat=48.2521335,lon=16.362575}]} refers to deleted primitive {Node id=442071274 version=2 D lat=48.2521884,lon=16.3625887}
    [DELETED REFERENCED] {Way id=37700203 version=2 D nodes=[{Node id=442071274 version=2 D lat=48.2521884,lon=16.3625887}, {Node id=442071275 version=2 D lat=48.2521335,lon=16.362575}]} refers to deleted primitive {Node id=442071275 version=2 D lat=48.2521335,lon=16.362575}
    [DELETED REFERENCED] {Way id=37700189 version=2 D nodes=[{Node id=442071187 version=2 D lat=48.2526878,lon=16.3590333}, {Node id=442071198 version=2 D lat=48.2527221,lon=16.3592736}, {Node id=442071199 version=2 D lat=48.252785,lon=16.3593594}, {Node id=442071200 version=2 D lat=48.2529592,lon=16.3593637}, {Node id=442071201 version=2 D lat=48.2531135,lon=16.3593594}]} refers to deleted primitive {Node id=442071187 version=2 D lat=48.2526878,lon=16.3590333}
    [DELETED REFERENCED] {Way id=37700189 version=2 D nodes=[{Node id=442071187 version=2 D lat=48.2526878,lon=16.3590333}, {Node id=442071198 version=2 D lat=48.2527221,lon=16.3592736}, {Node id=442071199 version=2 D lat=48.252785,lon=16.3593594}, {Node id=442071200 version=2 D lat=48.2529592,lon=16.3593637}, {Node id=442071201 version=2 D lat=48.2531135,lon=16.3593594}]} refers to deleted primitive {Node id=442071198 version=2 D lat=48.2527221,lon=16.3592736}
    [DELETED REFERENCED] {Way id=37700189 version=2 D nodes=[{Node id=442071187 version=2 D lat=48.2526878,lon=16.3590333}, {Node id=442071198 version=2 D lat=48.2527221,lon=16.3592736}, {Node id=442071199 version=2 D lat=48.252785,lon=16.3593594}, {Node id=442071200 version=2 D lat=48.2529592,lon=16.3593637}, {Node id=442071201 version=2 D lat=48.2531135,lon=16.3593594}]} refers to deleted primitive {Node id=442071199 version=2 D lat=48.252785,lon=16.3593594}
    [DELETED REFERENCED] {Way id=37700189 version=2 D nodes=[{Node id=442071187 version=2 D lat=48.2526878,lon=16.3590333}, {Node id=442071198 version=2 D lat=48.2527221,lon=16.3592736}, {Node id=442071199 version=2 D lat=48.252785,lon=16.3593594}, {Node id=442071200 version=2 D lat=48.2529592,lon=16.3593637}, {Node id=442071201 version=2 D lat=48.2531135,lon=16.3593594}]} refers to deleted primitive {Node id=442071200 version=2 D lat=48.2529592,lon=16.3593637}
    [DELETED REFERENCED] {Way id=37700189 version=2 D nodes=[{Node id=442071187 version=2 D lat=48.2526878,lon=16.3590333}, {Node id=442071198 version=2 D lat=48.2527221,lon=16.3592736}, {Node id=442071199 version=2 D lat=48.252785,lon=16.3593594}, {Node id=442071200 version=2 D lat=48.2529592,lon=16.3593637}, {Node id=442071201 version=2 D lat=48.2531135,lon=16.3593594}]} refers to deleted primitive {Node id=442071201 version=2 D lat=48.2531135,lon=16.3593594}
    [DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}
    [DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}
    [DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}
    [DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}
    [DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}
    [DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}
    [DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}
    [DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}
    [DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}
    [DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}
    [DELETED REFERENCED] {Way id=37700167 version=2 D nodes=[{Node id=60739228 version=4 V lat=48.2526646,lon=16.3557257}, {Node id=442071101 version=2 D lat=48.2528175,lon=16.3557354}, {Node id=442071102 version=2 D lat=48.2529912,lon=16.3559859}, {Node id=442071103 version=2 D lat=48.2530802,lon=16.3562165}, {Node id=442071104 version=2 D lat=48.2531794,lon=16.3564808}, {Node id=442071105 version=2 D lat=48.2532421,lon=16.356755}, {Node id=442071106 version=2 D lat=48.2532655,lon=16.3569068}, {Node id=442071107 version=2 D lat=48.253273,lon=16.3571205}, {Node id=442071108 version=2 D lat=48.2532515,lon=16.3573412}, {Node id=442071109 version=2 D lat=48.2532561,lon=16.3575057}, {Node id=442071110 version=2 D lat=48.2533011,lon=16.3575887}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}]} refers to deleted primitive {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}
    [DELETED REFERENCED] {Way id=37700169 version=2 D nodes=[{Node id=442071121 version=3 V lat=48.2539413,lon=16.3557025}, {Node id=442071122 version=2 D lat=48.2538382,lon=16.3558321}, {Node id=442071120 version=2 D lat=48.2536905,lon=16.3559395}, {Node id=442071123 version=2 D lat=48.2536109,lon=16.356097}, {Node id=442071124 version=2 D lat=48.2535491,lon=16.3563683}, {Node id=442071132 version=2 D lat=48.2535001,lon=16.3567085}, {Node id=442071133 version=2 D lat=48.2535129,lon=16.3570517}, {Node id=442071134 version=2 D lat=48.2535183,lon=16.3572714}, {Node id=442071135 version=2 D lat=48.2534489,lon=16.3575625}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}, {Node id=442071136 version=2 D lat=48.2533593,lon=16.3578425}, {Node id=442071142 version=2 D lat=48.2532989,lon=16.3580952}, {Node id=442071143 version=2 D lat=48.2532167,lon=16.3583423}, {Node id=442071144 version=2 D lat=48.2531691,lon=16.3583725}, {Node id=442071145 version=2 D lat=48.2530869,lon=16.3582791}, {Node id=442071146 version=2 D lat=48.252979,lon=16.3581034}, {Node id=295737296 version=3 V lat=48.252747,lon=16.3580616}]} refers to deleted primitive {Node id=442071122 version=2 D lat=48.2538382,lon=16.3558321}
    [DELETED REFERENCED] {Way id=37700169 version=2 D nodes=[{Node id=442071121 version=3 V lat=48.2539413,lon=16.3557025}, {Node id=442071122 version=2 D lat=48.2538382,lon=16.3558321}, {Node id=442071120 version=2 D lat=48.2536905,lon=16.3559395}, {Node id=442071123 version=2 D lat=48.2536109,lon=16.356097}, {Node id=442071124 version=2 D lat=48.2535491,lon=16.3563683}, {Node id=442071132 version=2 D lat=48.2535001,lon=16.3567085}, {Node id=442071133 version=2 D lat=48.2535129,lon=16.3570517}, {Node id=442071134 version=2 D lat=48.2535183,lon=16.3572714}, {Node id=442071135 version=2 D lat=48.2534489,lon=16.3575625}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}, {Node id=442071136 version=2 D lat=48.2533593,lon=16.3578425}, {Node id=442071142 version=2 D lat=48.2532989,lon=16.3580952}, {Node id=442071143 version=2 D lat=48.2532167,lon=16.3583423}, {Node id=442071144 version=2 D lat=48.2531691,lon=16.3583725}, {Node id=442071145 version=2 D lat=48.2530869,lon=16.3582791}, {Node id=442071146 version=2 D lat=48.252979,lon=16.3581034}, {Node id=295737296 version=3 V lat=48.252747,lon=16.3580616}]} refers to deleted primitive {Node id=442071120 version=2 D lat=48.2536905,lon=16.3559395}
    [DELETED REFERENCED] {Way id=37700169 version=2 D nodes=[{Node id=442071121 version=3 V lat=48.2539413,lon=16.3557025}, {Node id=442071122 version=2 D lat=48.2538382,lon=16.3558321}, {Node id=442071120 version=2 D lat=48.2536905,lon=16.3559395}, {Node id=442071123 version=2 D lat=48.2536109,lon=16.356097}, {Node id=442071124 version=2 D lat=48.2535491,lon=16.3563683}, {Node id=442071132 version=2 D lat=48.2535001,lon=16.3567085}, {Node id=442071133 version=2 D lat=48.2535129,lon=16.3570517}, {Node id=442071134 version=2 D lat=48.2535183,lon=16.3572714}, {Node id=442071135 version=2 D lat=48.2534489,lon=16.3575625}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}, {Node id=442071136 version=2 D lat=48.2533593,lon=16.3578425}, {Node id=442071142 version=2 D lat=48.2532989,lon=16.3580952}, {Node id=442071143 version=2 D lat=48.2532167,lon=16.3583423}, {Node id=442071144 version=2 D lat=48.2531691,lon=16.3583725}, {Node id=442071145 version=2 D lat=48.2530869,lon=16.3582791}, {Node id=442071146 version=2 D lat=48.252979,lon=16.3581034}, {Node id=295737296 version=3 V lat=48.252747,lon=16.3580616}]} refers to deleted primitive {Node id=442071123 version=2 D lat=48.2536109,lon=16.356097}
    [DELETED REFERENCED] {Way id=37700169 version=2 D nodes=[{Node id=442071121 version=3 V lat=48.2539413,lon=16.3557025}, {Node id=442071122 version=2 D lat=48.2538382,lon=16.3558321}, {Node id=442071120 version=2 D lat=48.2536905,lon=16.3559395}, {Node id=442071123 version=2 D lat=48.2536109,lon=16.356097}, {Node id=442071124 version=2 D lat=48.2535491,lon=16.3563683}, {Node id=442071132 version=2 D lat=48.2535001,lon=16.3567085}, {Node id=442071133 version=2 D lat=48.2535129,lon=16.3570517}, {Node id=442071134 version=2 D lat=48.2535183,lon=16.3572714}, {Node id=442071135 version=2 D lat=48.2534489,lon=16.3575625}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}, {Node id=442071136 version=2 D lat=48.2533593,lon=16.3578425}, {Node id=442071142 version=2 D lat=48.2532989,lon=16.3580952}, {Node id=442071143 version=2 D lat=48.2532167,lon=16.3583423}, {Node id=442071144 version=2 D lat=48.2531691,lon=16.3583725}, {Node id=442071145 version=2 D lat=48.2530869,lon=16.3582791}, {Node id=442071146 version=2 D lat=48.252979,lon=16.3581034}, {Node id=295737296 version=3 V lat=48.252747,lon=16.3580616}]} refers to deleted primitive {Node id=442071124 version=2 D lat=48.2535491,lon=16.3563683}
    [DELETED REFERENCED] {Way id=37700169 version=2 D nodes=[{Node id=442071121 version=3 V lat=48.2539413,lon=16.3557025}, {Node id=442071122 version=2 D lat=48.2538382,lon=16.3558321}, {Node id=442071120 version=2 D lat=48.2536905,lon=16.3559395}, {Node id=442071123 version=2 D lat=48.2536109,lon=16.356097}, {Node id=442071124 version=2 D lat=48.2535491,lon=16.3563683}, {Node id=442071132 version=2 D lat=48.2535001,lon=16.3567085}, {Node id=442071133 version=2 D lat=48.2535129,lon=16.3570517}, {Node id=442071134 version=2 D lat=48.2535183,lon=16.3572714}, {Node id=442071135 version=2 D lat=48.2534489,lon=16.3575625}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}, {Node id=442071136 version=2 D lat=48.2533593,lon=16.3578425}, {Node id=442071142 version=2 D lat=48.2532989,lon=16.3580952}, {Node id=442071143 version=2 D lat=48.2532167,lon=16.3583423}, {Node id=442071144 version=2 D lat=48.2531691,lon=16.3583725}, {Node id=442071145 version=2 D lat=48.2530869,lon=16.3582791}, {Node id=442071146 version=2 D lat=48.252979,lon=16.3581034}, {Node id=295737296 version=3 V lat=48.252747,lon=16.3580616}]} refers to deleted primitive {Node id=442071132 version=2 D lat=48.2535001,lon=16.3567085}
    [DELETED REFERENCED] {Way id=37700169 version=2 D nodes=[{Node id=442071121 version=3 V lat=48.2539413,lon=16.3557025}, {Node id=442071122 version=2 D lat=48.2538382,lon=16.3558321}, {Node id=442071120 version=2 D lat=48.2536905,lon=16.3559395}, {Node id=442071123 version=2 D lat=48.2536109,lon=16.356097}, {Node id=442071124 version=2 D lat=48.2535491,lon=16.3563683}, {Node id=442071132 version=2 D lat=48.2535001,lon=16.3567085}, {Node id=442071133 version=2 D lat=48.2535129,lon=16.3570517}, {Node id=442071134 version=2 D lat=48.2535183,lon=16.3572714}, {Node id=442071135 version=2 D lat=48.2534489,lon=16.3575625}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}, {Node id=442071136 version=2 D lat=48.2533593,lon=16.3578425}, {Node id=442071142 version=2 D lat=48.2532989,lon=16.3580952}, {Node id=442071143 version=2 D lat=48.2532167,lon=16.3583423}, {Node id=442071144 version=2 D lat=48.2531691,lon=16.3583725}, {Node id=442071145 version=2 D lat=48.2530869,lon=16.3582791}, {Node id=442071146 version=2 D lat=48.252979,lon=16.3581034}, {Node id=295737296 version=3 V lat=48.252747,lon=16.3580616}]} refers to deleted primitive {Node id=442071133 version=2 D lat=48.2535129,lon=16.3570517}
    [DELETED REFERENCED] {Way id=37700169 version=2 D nodes=[{Node id=442071121 version=3 V lat=48.2539413,lon=16.3557025}, {Node id=442071122 version=2 D lat=48.2538382,lon=16.3558321}, {Node id=442071120 version=2 D lat=48.2536905,lon=16.3559395}, {Node id=442071123 version=2 D lat=48.2536109,lon=16.356097}, {Node id=442071124 version=2 D lat=48.2535491,lon=16.3563683}, {Node id=442071132 version=2 D lat=48.2535001,lon=16.3567085}, {Node id=442071133 version=2 D lat=48.2535129,lon=16.3570517}, {Node id=442071134 version=2 D lat=48.2535183,lon=16.3572714}, {Node id=442071135 version=2 D lat=48.2534489,lon=16.3575625}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}, {Node id=442071136 version=2 D lat=48.2533593,lon=16.3578425}, {Node id=442071142 version=2 D lat=48.2532989,lon=16.3580952}, {Node id=442071143 version=2 D lat=48.2532167,lon=16.3583423}, {Node id=442071144 version=2 D lat=48.2531691,lon=16.3583725}, {Node id=442071145 version=2 D lat=48.2530869,lon=16.3582791}, {Node id=442071146 version=2 D lat=48.252979,lon=16.3581034}, {Node id=295737296 version=3 V lat=48.252747,lon=16.3580616}]} refers to deleted primitive {Node id=442071134 version=2 D lat=48.2535183,lon=16.3572714}
    [DELETED REFERENCED] {Way id=37700169 version=2 D nodes=[{Node id=442071121 version=3 V lat=48.2539413,lon=16.3557025}, {Node id=442071122 version=2 D lat=48.2538382,lon=16.3558321}, {Node id=442071120 version=2 D lat=48.2536905,lon=16.3559395}, {Node id=442071123 version=2 D lat=48.2536109,lon=16.356097}, {Node id=442071124 version=2 D lat=48.2535491,lon=16.3563683}, {Node id=442071132 version=2 D lat=48.2535001,lon=16.3567085}, {Node id=442071133 version=2 D lat=48.2535129,lon=16.3570517}, {Node id=442071134 version=2 D lat=48.2535183,lon=16.3572714}, {Node id=442071135 version=2 D lat=48.2534489,lon=16.3575625}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}, {Node id=442071136 version=2 D lat=48.2533593,lon=16.3578425}, {Node id=442071142 version=2 D lat=48.2532989,lon=16.3580952}, {Node id=442071143 version=2 D lat=48.2532167,lon=16.3583423}, {Node id=442071144 version=2 D lat=48.2531691,lon=16.3583725}, {Node id=442071145 version=2 D lat=48.2530869,lon=16.3582791}, {Node id=442071146 version=2 D lat=48.252979,lon=16.3581034}, {Node id=295737296 version=3 V lat=48.252747,lon=16.3580616}]} refers to deleted primitive {Node id=442071135 version=2 D lat=48.2534489,lon=16.3575625}
    [DELETED REFERENCED] {Way id=37700169 version=2 D nodes=[{Node id=442071121 version=3 V lat=48.2539413,lon=16.3557025}, {Node id=442071122 version=2 D lat=48.2538382,lon=16.3558321}, {Node id=442071120 version=2 D lat=48.2536905,lon=16.3559395}, {Node id=442071123 version=2 D lat=48.2536109,lon=16.356097}, {Node id=442071124 version=2 D lat=48.2535491,lon=16.3563683}, {Node id=442071132 version=2 D lat=48.2535001,lon=16.3567085}, {Node id=442071133 version=2 D lat=48.2535129,lon=16.3570517}, {Node id=442071134 version=2 D lat=48.2535183,lon=16.3572714}, {Node id=442071135 version=2 D lat=48.2534489,lon=16.3575625}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}, {Node id=442071136 version=2 D lat=48.2533593,lon=16.3578425}, {Node id=442071142 version=2 D lat=48.2532989,lon=16.3580952}, {Node id=442071143 version=2 D lat=48.2532167,lon=16.3583423}, {Node id=442071144 version=2 D lat=48.2531691,lon=16.3583725}, {Node id=442071145 version=2 D lat=48.2530869,lon=16.3582791}, {Node id=442071146 version=2 D lat=48.252979,lon=16.3581034}, {Node id=295737296 version=3 V lat=48.252747,lon=16.3580616}]} refers to deleted primitive {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}
    [DELETED REFERENCED] {Way id=37700169 version=2 D nodes=[{Node id=442071121 version=3 V lat=48.2539413,lon=16.3557025}, {Node id=442071122 version=2 D lat=48.2538382,lon=16.3558321}, {Node id=442071120 version=2 D lat=48.2536905,lon=16.3559395}, {Node id=442071123 version=2 D lat=48.2536109,lon=16.356097}, {Node id=442071124 version=2 D lat=48.2535491,lon=16.3563683}, {Node id=442071132 version=2 D lat=48.2535001,lon=16.3567085}, {Node id=442071133 version=2 D lat=48.2535129,lon=16.3570517}, {Node id=442071134 version=2 D lat=48.2535183,lon=16.3572714}, {Node id=442071135 version=2 D lat=48.2534489,lon=16.3575625}, {Node id=442071111 version=2 D lat=48.2534151,lon=16.3576571}, {Node id=442071136 version=2 D lat=48.2533593,lon=16.3578425}, {Node id=442071142 version=2 D lat=48.2532989,lon=16.3580952}, {Node id=442071143 version=2 D lat=48.2532167,lon=16.3583423}, {Node id=442071144 version=2 D lat=48.2531691,lon=16.3583725}, {Node id=442071145 version=2 D lat=48.2530869,lon=16.3582791}, {Node id=442071146 version=2 D lat=48.252979,lon=16.3581034}, {Node id=295737296 version=3 V lat=48.252747,lon=16.3580616}]} refers to deleted primitive {Node id=442071136 version=2 D lat=48.2533593,lon=16.3578425}
    156 more...
    
    
    Plugin: PicLayer (27883)
    Plugin: cadastre-fr (28412)
    Plugin: dataimport (28412)
    Plugin: epci-fr (26960)
    Plugin: imagery-xml-bounds (28412)
    Plugin: jts (28415)
    Plugin: licensechange (28412)
    Plugin: opendata (28441)
    Plugin: pbf (28412)
    Plugin: pdfimport (28448)
    Plugin: print (28412)
    Plugin: public_transport (28412)
    Plugin: restart (28438)
    Plugin: tag2link (28412)
    Plugin: turnrestrictions (28412)
    
    org.openstreetmap.josm.data.osm.DataIntegrityProblemException: Deleted node referenced: {Way id=37700199 version=2 D nodes=[{Node id=442071306 version=2 D lat=48.2516716,lon=16.3594048}, {Node id=442071252 version=2 D lat=48.2514949,lon=16.3597252}]}
    	at org.openstreetmap.josm.data.osm.Way.checkNodes(Way.java:514)
    	at org.openstreetmap.josm.data.osm.Way.fireNodesChanged(Way.java:530)
    	at org.openstreetmap.josm.data.osm.Way.setNodes(Way.java:69)
    	at org.openstreetmap.josm.data.osm.DataSet.unlinkNodeFromWays(DataSet.java:831)
    	at org.openstreetmap.josm.data.osm.DataSet.unlinkReferencesToPrimitive(DataSet.java:880)
    	at org.openstreetmap.josm.command.DeletedStateConflictResolveCommand.executeCommand(DeletedStateConflictResolveCommand.java:70)
    	at org.openstreetmap.josm.command.SequenceCommand.executeCommand(SequenceCommand.java:54)
    	at org.openstreetmap.josm.data.UndoRedoHandler.addNoRedraw(UndoRedoHandler.java:36)
    	at org.openstreetmap.josm.data.UndoRedoHandler.add(UndoRedoHandler.java:58)
    	at org.openstreetmap.josm.gui.dialogs.ConflictResolutionDialog$ApplyResolutionAction.actionPerformed(ConflictResolutionDialog.java:210)
    	at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
    	at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
    	at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
    	at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
    	at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(Unknown Source)
    	at java.awt.AWTEventMulticaster.mouseReleased(Unknown Source)
    	at java.awt.Component.processMouseEvent(Unknown Source)
    	at javax.swing.JComponent.processMouseEvent(Unknown Source)
    	at java.awt.Component.processEvent(Unknown Source)
    	at java.awt.Container.processEvent(Unknown Source)
    	at java.awt.Component.dispatchEventImpl(Unknown Source)
    	at java.awt.Container.dispatchEventImpl(Unknown Source)
    	at java.awt.Component.dispatchEvent(Unknown Source)
    	at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
    	at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
    	at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
    	at java.awt.Container.dispatchEventImpl(Unknown Source)
    	at java.awt.Window.dispatchEventImpl(Unknown Source)
    	at java.awt.Component.dispatchEvent(Unknown Source)
    	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
    	at java.awt.EventQueue.access$000(Unknown Source)
    	at java.awt.EventQueue$3.run(Unknown Source)
    	at java.awt.EventQueue$3.run(Unknown Source)
    	at java.security.AccessController.doPrivileged(Native Method)
    	at java.security.ProtectionDomain$1.doIntersectionPrivilege(Unknown Source)
    	at java.security.ProtectionDomain$1.doIntersectionPrivilege(Unknown Source)
    	at java.awt.EventQueue$4.run(Unknown Source)
    	at java.awt.EventQueue$4.run(Unknown Source)
    	at java.security.AccessController.doPrivileged(Native Method)
    	at java.security.ProtectionDomain$1.doIntersectionPrivilege(Unknown Source)
    	at java.awt.EventQueue.dispatchEvent(Unknown Source)
    	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
    	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
    	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
    	at java.awt.WaitDispatchSupport$2.run(Unknown Source)
    	at java.awt.WaitDispatchSupport$4.run(Unknown Source)
    	at java.security.AccessController.doPrivileged(Native Method)
    	at java.awt.WaitDispatchSupport.enter(Unknown Source)
    	at java.awt.Dialog.show(Unknown Source)
    	at java.awt.Component.show(Unknown Source)
    	at java.awt.Component.setVisible(Unknown Source)
    	at java.awt.Window.setVisible(Unknown Source)
    	at java.awt.Dialog.setVisible(Unknown Source)
    	at org.openstreetmap.josm.gui.dialogs.ConflictResolutionDialog.setVisible(ConflictResolutionDialog.java:61)
    	at org.openstreetmap.josm.gui.dialogs.ConflictDialog.resolve(ConflictDialog.java:147)
    	at org.openstreetmap.josm.gui.dialogs.ConflictDialog.access$1(ConflictDialog.java:136)
    	at org.openstreetmap.josm.gui.dialogs.ConflictDialog$ResolveAction.actionPerformed(ConflictDialog.java:350)
    	at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
    	at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
    	at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
    	at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
    	at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(Unknown Source)
    
Last edited 2 years ago by Don-vip (previous) (diff)

comment:34 in reply to: ↑ 32 Changed 2 years ago by anonymous

Replying to Don-vip:

Replying to anonymous:

My report #7867 was genuinely new there and not covered here.

I had no idea that you were the author of #7867 as it was created under anonymous account.

This is a problem of this server. It rejects the login, and as well the new password I request from it. And it constantly looses session data for now (there's a strange effect of your wiki editor that causes severe hangs, causing the browser to suspend for too long an display a blue screen. I have difficulties just now to use this site. Additionally this server has an invalid security certificate, so the browser becomes extremely careful and blocks lots of things. Or runs scripts in very slow mode with an inspection by my antivirus trying to sandbox its complex javascript code.

comment:35 Changed 2 years ago by stoecker

Read first paragraph of ServerCertificate!

comment:36 Changed 2 years ago by stoecker

I updated the account manager plugin. Hopefully that fixes login issues beside the sertificate.

I removed your account. Try recreating it.

Last edited 2 years ago by stoecker (previous) (diff)

comment:37 Changed 2 years ago by verdy_p

OK it works now with the recreated account. It constantly failed before even after I asked for a new password, it was always rejected. something got garbled in my older account. And the editor is now MUCH faster when typing.

comment:38 in reply to: ↑ 33 Changed 2 years ago by Don-vip

Replying to Don-vip:

Replying to Don-vip:

It seems the merge operation went bad. The node has not the deleted mask in JOSM, but neither has coordinates... I don't see right now what caused that.

Kind-of reproduced (except the artifacts bug):

I'm slowly approaching to understand with a smaller data set. I have extracted two ways of Wien, once from cloudmade (before bot processing), then from OSM (after bot processing).

When loading these two layers and merging them:

  • When merging "before.osm" on "after.osm" the result is good: XML contents are the same as after.osm -> Data is in clean state
  • When merging "after.osm" on "before.osm" the result is pretty bad:
    • Nodes are deleted but they have kept their coordinates
    • Both ways are still referencing the deleted nodes

Changed 2 years ago by Don-vip

Changed 2 years ago by Don-vip

Changed 2 years ago by Don-vip

Changed 2 years ago by Don-vip

comment:39 Changed 2 years ago by Don-vip

In 5349/josm:

see #7847 - Allow to reset Node coordinates to null (this is needed when merging a node in version A with its deleted visible version B)

comment:40 Changed 2 years ago by Don-vip

In 5350/josm:

see #7847 - Reset nodes/members to null when deleting a way/relation during a data set merge operation

comment:41 Changed 2 years ago by Don-vip

Still unable to reproduce the exact same error as Stefan's, but it may has been fixed in r5350.

Changed 2 years ago by stefanct

Triggers the "star" drawing artifact

comment:42 follow-up: Changed 2 years ago by stefanct

the test.osm file triggers the bug seen in the screenshot (in version 5345).

comment:43 in reply to: ↑ 42 Changed 2 years ago by Don-vip

Replying to stefan.tauner@…:

the test.osm file triggers the bug seen in the screenshot (in version 5345).

Thanks ! In fact it seems only to happen in wireframe view, do you agree ?

comment:44 Changed 2 years ago by bastiK

In 5351/josm:

see #7847 - avoid rendering artefacts for ways with missing nodes in wireframe view

comment:45 follow-up: Changed 2 years ago by bastiK

Sorry to barge in, but this one was easy to fix. :)

comment:46 in reply to: ↑ 45 Changed 2 years ago by Don-vip

Replying to bastiK:

Sorry to barge in, but this one was easy to fix. :)

Hehe. Thanks !

comment:47 Changed 2 years ago by Don-vip

Ticket #7876 has been marked as a duplicate of this ticket.

comment:48 Changed 2 years ago by Don-vip

In 5356/josm:

see #7847, see #7884 - Fix 2 NPE when dealing with nodes without coordinates + display "(none)" in history when coordinates are missing to distinguish this fact from the deleted state (and be homogenous with conflict dialog)

comment:49 Changed 2 years ago by Don-vip

  • Resolution set to fixed
  • Status changed from reopened to closed

Should be fixed by now. Ticket to reopen if there are still remaining issues with nodes without coordinates.

Add Comment

Modify Ticket

Change Properties
<Author field>
Action
as closed The owner will remain team.
as The resolution will be set. Next status will be 'closed'.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.